

BEGIN TRANSACTION
GO
PRINT N'Dropping [dbo].[pa_Interface_ImportData]'
GO
DROP PROCEDURE [dbo].[pa_Interface_ImportData]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO

PRINT N'Refreshing [dbo].[v_Security_ErrorLog]'
GO
EXEC sp_refreshview N'[dbo].[v_Security_ErrorLog]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO

GO
PRINT N'Refreshing [dbo].[v_Security_DataLog]'
GO
EXEC sp_refreshview N'[dbo].[v_Security_DataLog]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO

GO
PRINT N'Altering [dbo].[t_Staging_Calendar]'
GO
ALTER TABLE [dbo].[t_Staging_Calendar] DROP
COLUMN [ImportID]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO

GO
PRINT N'Refreshing [dbo].[v_Staging_Calendar]'
GO
EXEC sp_refreshview N'[dbo].[v_Staging_Calendar]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO

GO
PRINT N'Altering [dbo].[t_Staging_OrganizationUnit]'
GO
ALTER TABLE [dbo].[t_Staging_OrganizationUnit] ADD
[AbsenceHandlerRef] [uniqueidentifier] NULL
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO

GO
PRINT N'Refreshing [dbo].[v_Staging_OrganizationUnit]'
GO
EXEC sp_refreshview N'[dbo].[v_Staging_OrganizationUnit]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO

GO
PRINT N'Altering [dbo].[t_Staging_Person]'
GO
ALTER TABLE [dbo].[t_Staging_Person] ADD
[Email] [nvarchar] (255) COLLATE Latin1_General_CI_AS NULL
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO

GO
PRINT N'Refreshing [dbo].[v_Staging_Person]'
GO
EXEC sp_refreshview N'[dbo].[v_Staging_Person]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO

GO
PRINT N'Altering [dbo].[t_Staging_PersonAvailabilityException]'
GO
ALTER TABLE [dbo].[t_Staging_PersonAvailabilityException] ADD
[AvailabilityExceptionTypeRef] [uniqueidentifier] NULL,
[ApprovalDate] [datetime] NULL
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO

GO
ALTER TABLE [dbo].[t_Staging_PersonAvailabilityException] DROP
COLUMN [ExceptionType]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO

GO
PRINT N'Refreshing [dbo].[v_Staging_PersonAvailabilityException]'
GO
EXEC sp_refreshview N'[dbo].[v_Staging_PersonAvailabilityException]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO

GO
PRINT N'Altering [dbo].[t_Staging_Project]'
GO
ALTER TABLE [dbo].[t_Staging_Project] ADD
[Date] [datetime] NOT NULL CONSTRAINT [DF_t_Staging_Project_Date] DEFAULT (getdate()),
[OrganizationUnitRef] [uniqueidentifier] NULL,
[ProjectTypeRef] [uniqueidentifier] NULL,
[ProjectStatusRef] [uniqueidentifier] NULL
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO

GO
PRINT N'Refreshing [dbo].[v_Staging_Project]'
GO
EXEC sp_refreshview N'[dbo].[v_Staging_Project]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO

GO
PRINT N'Creating [dbo].[pa_Interface_ImportData]'
GO
CREATE PROCEDURE [dbo].[pa_Interface_ImportData]
WITH EXECUTE AS CALLER
AS EXTERNAL NAME [Promineo.Data.Mpp.Interface].[StoredProcedures].[pa_Interface_ImportData]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO

GO
PRINT N'Adding constraints to [dbo].[t_Staging_Project]'
GO
ALTER TABLE [dbo].[t_Staging_Project] ADD CONSTRAINT [DF_t_Staging_Project_ProjectStart] DEFAULT (getdate()) FOR [ProjectStart]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO

GO
ALTER TABLE [dbo].[t_Staging_Project] ADD CONSTRAINT [DF_t_Staging_Project_ProjectEnd] DEFAULT (getdate()) FOR [ProjectEnd]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO

COMMIT TRANSACTION
