

CREATE VIEW [dbo].[vc_DataSource_PersonAvailabilityException]

As

--- Standardized reporting-view for t_Project_PersonAvailabilitException records ---

Select
	--- Standard columns
	ex.PersonRef, ex.Title, ex.[Description], ex.[From], ex.[To], ex.[Availability], ex.Approval, ex.AvailabilityExceptionTypeRef,
	ext.[Index], ext.Title ExceptionTypeTitle, ext.ApprovalNeeded, ext.VisibleForInput, ext.AffectAvailability,
	
	--- Related columns
	ou.OrganizationUnitCode AvailabilityOrgUnitCode, ou.Title AvailabilityOrgUnitTitle, ou.[Description] AvailabilityOrgUnitDescription

From 
	dbo.t_Project_Revision rev with(nolock) 
	Inner Join dbo.t_Project_Person pers with(nolock) On pers.RevisionRef = rev.PrimKey 
	Inner Join dbo.t_Project_PersonAvailabilityException ex with(nolock) On ex.PersonRef = pers.PrimKey
	Inner Join dbo.t_Project_PersonAvailabilityExceptionType ext with(nolock) On ex.AvailabilityExceptionTypeRef = ext.PrimKey
	Left Outer Join dbo.t_Project_OrganizationUnit ou with(nolock) on pers.OrganizationUnitRef = ou.PrimKey
	Inner Join dbo.t_Project_Calendar cal with(nolock) On cal.PrimKey = pers.CalendarRef
Where 
	rev.CurrentRevision = 1


GO


CREATE VIEW [dbo].[vc_Security_ForeignKeys]
AS
SELECT t.name AS TableName, k.name AS KeyName
FROM sys.foreign_keys k
	JOIN sys.tables t ON t.object_id = k.parent_object_id
GO

