ALTER PROC [dbo].[pc_Security_UpdateMyGroupMembership]
AS

	INSERT INTO [t_Security_GroupMember]([Login], [Group])
	SELECT DISTINCT SUSER_SNAME(), [Group]
	FROM [t_Security_ApplicationRights] r with (nolock)
	WHERE IS_MEMBER([Group]) = 1
	AND NOT EXISTS (SELECT * FROM [t_Security_GroupMember] gm WHERE gm.[Login] = SUSER_SNAME() AND gm.[Group] = r.[Group])

	INSERT INTO [t_Security_GroupMember]([Login], [Group])
	SELECT DISTINCT SUSER_SNAME(), [Group]
	FROM [t_Security_ProjectRights] r with (nolock)
	WHERE IS_MEMBER([Group]) = 1
	AND NOT EXISTS (SELECT * FROM [t_Security_GroupMember] gm WHERE gm.[Login] = SUSER_SNAME() AND gm.[Group] = r.[Group])

	INSERT INTO [t_Security_GroupMember]([Login], [Group])
	SELECT DISTINCT SUSER_SNAME(), [Group]
	FROM [t_Security_OrganizationUnitRights] r with (nolock)		
	WHERE IS_MEMBER([Group]) = 1
	AND NOT EXISTS (SELECT * FROM [t_Security_GroupMember] gm WHERE gm.[Login] = SUSER_SNAME() AND gm.[Group] = r.[Group])

	DELETE [t_Security_GroupMember]
	WHERE NOT EXISTS (
		SELECT [Group]
		FROM [t_Security_ApplicationRights] with (nolock)
		WHERE IS_MEMBER([Group]) = 1
		UNION
		SELECT [Group]
		FROM [t_Security_ProjectRights] with (nolock)
		WHERE IS_MEMBER([Group]) = 1
		UNION
		SELECT [Group]
		FROM [t_Security_OrganizationUnitRights] with (nolock)
		WHERE IS_MEMBER([Group]) = 1
	)

	INSERT INTO [t_Security_GroupMemberUpdate]([Login], [Time])
	VALUES(SUSER_SNAME(), GETDATE())
