/*
	ALTER t_Staging_Node
*/


BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
GO
ALTER TABLE dbo.t_Staging_Node ADD
	SmallText01 nvarchar(50) NULL,
	SmallText02 nvarchar(50) NULL,
	SmallText03 nvarchar(50) NULL,
	SmallText04 nvarchar(50) NULL,
	SmallText05 nvarchar(50) NULL,
	SmallText06 nvarchar(50) NULL,
	SmallText07 nvarchar(50) NULL,
	SmallText08 nvarchar(50) NULL,
	SmallText09 nvarchar(50) NULL,
	SmallText10 nvarchar(50) NULL
GO
ALTER TABLE dbo.t_Staging_Node SET (LOCK_ESCALATION = TABLE)
GO
COMMIT

/*
	CREATE t_Staging_OrganizationUnitPositionType
*/


CREATE TABLE [dbo].[t_Staging_OrganizationUnitPositionType](
	[ID] [nvarchar](100) NOT NULL,
	[PositionTypeID] [nvarchar](100) NOT NULL,
	[OrganizationUnitID] [nvarchar](100) NOT NULL,
	[PositionTypeRef] [uniqueidentifier] NULL,
	[OrganizationUnitRef] [uniqueidentifier] NULL,
	[PrimKey] [uniqueidentifier] NOT NULL,
	[TimeStamp] [timestamp] NOT NULL,
	[SmallText01] [nvarchar](50) NULL,
	[SmallText02] [nvarchar](50) NULL,
	[SmallText03] [nvarchar](50) NULL,
	[SmallText04] [nvarchar](50) NULL,
	[SmallText05] [nvarchar](50) NULL,
	[SmallText06] [nvarchar](50) NULL,
	[SmallText07] [nvarchar](50) NULL,
	[SmallText08] [nvarchar](50) NULL,
	[SmallText09] [nvarchar](50) NULL,
	[SmallText10] [nvarchar](50) NULL
 CONSTRAINT [PK_t_Staging_OrganizationNodeProjectType] PRIMARY KEY CLUSTERED 
(
	[PrimKey] ASC
) ON [PRIMARY]
)

GO

ALTER TABLE [dbo].[t_Staging_OrganizationUnitPositionType] ADD  CONSTRAINT [DF_t_Staging_OrganizationNodeProjectType_PrimKey]  DEFAULT (newsequentialid()) FOR [PrimKey]
GO


/*
	ALTER t_Staging_Position
	PositionTypeID added
*/


BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
GO
ALTER TABLE dbo.t_Staging_Position
	DROP CONSTRAINT DF_t_Staging_Position_PrimKey
GO
CREATE TABLE dbo.Tmp_t_Staging_Position
	(
	ID nvarchar(100) NOT NULL,
	PositionID nvarchar(50) NULL,
	PositionTypeID nvarchar(50) NULL,
	Title nvarchar(100) NOT NULL,
	Description nvarchar(MAX) NULL,
	ProjectID nvarchar(100) NOT NULL,
	ProjectRevisionRef uniqueidentifier NULL,
	OrganizationUnitPositionTypeRef uniqueidentifier NULL,
	PersonID nvarchar(100) NULL,
	PersonRef uniqueidentifier NULL,
	CalendarID nvarchar(100) NULL,
	CalendarRef uniqueidentifier NULL,
	OrganizationApproval bit NULL,
	OrganizationApprovalByPersonRef uniqueidentifier NULL,
	ProjectApproval bit NULL,
	ProjectApprovalByPersonRef uniqueidentifier NULL,
	SmallText01 nvarchar(50) NULL,
	SmallText02 nvarchar(50) NULL,
	SmallText03 nvarchar(50) NULL,
	SmallText04 nvarchar(50) NULL,
	SmallText05 nvarchar(50) NULL,
	SmallText06 nvarchar(50) NULL,
	SmallText07 nvarchar(50) NULL,
	SmallText08 nvarchar(50) NULL,
	SmallText09 nvarchar(50) NULL,
	SmallText10 nvarchar(50) NULL,
	Text01 nvarchar(500) NULL,
	Text02 nvarchar(500) NULL,
	Text03 nvarchar(500) NULL,
	Text04 nvarchar(500) NULL,
	Text05 nvarchar(500) NULL,
	LargeText01 nvarchar(MAX) NULL,
	LargeText02 nvarchar(MAX) NULL,
	LargeText03 nvarchar(MAX) NULL,
	LargeText04 nvarchar(MAX) NULL,
	LargeText05 nvarchar(MAX) NULL,
	DateTime01 datetime NULL,
	DateTime02 datetime NULL,
	DateTime03 datetime NULL,
	DateTime04 datetime NULL,
	DateTime05 datetime NULL,
	Bit01 bit NULL,
	Bit02 bit NULL,
	Bit03 bit NULL,
	Bit04 bit NULL,
	Bit05 bit NULL,
	Int01 int NULL,
	Int02 int NULL,
	Int03 int NULL,
	Int04 int NULL,
	Int05 int NULL,
	Float01 float(53) NULL,
	Float02 float(53) NULL,
	Float03 float(53) NULL,
	Float04 float(53) NULL,
	Float05 float(53) NULL,
	PrimKey uniqueidentifier NOT NULL,
	TimeStamp timestamp NOT NULL
	)  ON [PRIMARY]
	 TEXTIMAGE_ON [PRIMARY]
GO
ALTER TABLE dbo.Tmp_t_Staging_Position SET (LOCK_ESCALATION = TABLE)
GO
ALTER TABLE dbo.Tmp_t_Staging_Position ADD CONSTRAINT
	DF_t_Staging_Position_PrimKey DEFAULT (newsequentialid()) FOR PrimKey
GO
IF EXISTS(SELECT * FROM dbo.t_Staging_Position)
	 EXEC('INSERT INTO dbo.Tmp_t_Staging_Position (ID, PositionID, Title, Description, ProjectID, ProjectRevisionRef, OrganizationUnitPositionTypeRef, PersonID, PersonRef, CalendarID, CalendarRef, OrganizationApproval, OrganizationApprovalByPersonRef, ProjectApproval, ProjectApprovalByPersonRef, SmallText01, SmallText02, SmallText03, SmallText04, SmallText05, SmallText06, SmallText07, SmallText08, SmallText09, SmallText10, Text01, Text02, Text03, Text04, Text05, LargeText01, LargeText02, LargeText03, LargeText04, LargeText05, DateTime01, DateTime02, DateTime03, DateTime04, DateTime05, Bit01, Bit02, Bit03, Bit04, Bit05, Int01, Int02, Int03, Int04, Int05, Float01, Float02, Float03, Float04, Float05, PrimKey)
		SELECT ID, PositionID, Title, Description, ProjectID, ProjectRevisionRef, OrganizationUnitPositionTypeRef, PersonID, PersonRef, CalendarID, CalendarRef, OrganizationApproval, OrganizationApprovalByPersonRef, ProjectApproval, ProjectApprovalByPersonRef, SmallText01, SmallText02, SmallText03, SmallText04, SmallText05, SmallText06, SmallText07, SmallText08, SmallText09, SmallText10, Text01, Text02, Text03, Text04, Text05, LargeText01, LargeText02, LargeText03, LargeText04, LargeText05, DateTime01, DateTime02, DateTime03, DateTime04, DateTime05, Bit01, Bit02, Bit03, Bit04, Bit05, Int01, Int02, Int03, Int04, Int05, Float01, Float02, Float03, Float04, Float05, PrimKey FROM dbo.t_Staging_Position WITH (HOLDLOCK TABLOCKX)')
GO
DROP TABLE dbo.t_Staging_Position
GO
EXECUTE sp_rename N'dbo.Tmp_t_Staging_Position', N't_Staging_Position', 'OBJECT' 
GO
ALTER TABLE dbo.t_Staging_Position ADD CONSTRAINT
	PK_t_Staging_Position PRIMARY KEY CLUSTERED 
	(
	PrimKey
	) WITH( STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]

GO
ALTER TABLE dbo.t_Staging_Position ADD CONSTRAINT
	UK_t_Staging_Position UNIQUE NONCLUSTERED 
	(
	ID
	) WITH( STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]

GO
CREATE TRIGGER [tri_Staging_Position] 
ON dbo.t_Staging_Position
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Staging_Position', PrimKey, suser_sname(), 'I', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_Position', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
CREATE TRIGGER [tru_Staging_Position] 
ON dbo.t_Staging_Position
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Staging_Position', PrimKey, suser_sname(), 'U', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_Position', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
CREATE TRIGGER [trd_Staging_Position] 
ON dbo.t_Staging_Position
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Staging_Position', PrimKey, suser_sname(), 'D', getdate()
        FROM deleted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_Position', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
COMMIT



/*
	CREATE t_Staging_PositionType
*/

CREATE TABLE [dbo].[t_Staging_PositionType](
	[ID] [nvarchar](100) NOT NULL,
	[Title] [nvarchar](100) NOT NULL,
	[Description] [nvarchar](max) NULL,
	[PrimKey] [uniqueidentifier] NOT NULL,
	[TimeStamp] [timestamp] NOT NULL,
	[SmallText01] [nvarchar](50) NULL,
	[SmallText02] [nvarchar](50) NULL,
	[SmallText03] [nvarchar](50) NULL,
	[SmallText04] [nvarchar](50) NULL,
	[SmallText05] [nvarchar](50) NULL,
	[SmallText06] [nvarchar](50) NULL,
	[SmallText07] [nvarchar](50) NULL,
	[SmallText08] [nvarchar](50) NULL,
	[SmallText09] [nvarchar](50) NULL,
	[SmallText10] [nvarchar](50) NULL,
	[Text01] [nvarchar](500) NULL,
	[Text02] [nvarchar](500) NULL,
	[Text03] [nvarchar](500) NULL,
	[Text04] [nvarchar](500) NULL,
	[Text05] [nvarchar](500) NULL,
	[LargeText01] [nvarchar](max) NULL,
	[LargeText02] [nvarchar](max) NULL,
	[LargeText03] [nvarchar](max) NULL,
	[LargeText04] [nvarchar](max) NULL,
	[LargeText05] [nvarchar](max) NULL,
	[DateTime01] [datetime] NULL,
	[DateTime02] [datetime] NULL,
	[DateTime03] [datetime] NULL,
	[DateTime04] [datetime] NULL,
	[DateTime05] [datetime] NULL,
	[Bit01] [bit] NULL,
	[Bit02] [bit] NULL,
	[Bit03] [bit] NULL,
	[Bit04] [bit] NULL,
	[Bit05] [bit] NULL,
	[Int01] [int] NULL,
	[Int02] [int] NULL,
	[Int03] [int] NULL,
	[Int04] [int] NULL,
	[Int05] [int] NULL,
	[Float01] [float] NULL,
	[Float02] [float] NULL,
	[Float03] [float] NULL,
	[Float04] [float] NULL,
	[Float05] [float] NULL,
 CONSTRAINT [PK_t_Staging_PositionType] PRIMARY KEY CLUSTERED 
(
	[PrimKey] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO

ALTER TABLE [dbo].[t_Staging_PositionType] ADD  CONSTRAINT [DF_t_Staging_PositionType_PrimKey]  DEFAULT (newsequentialid()) FOR [PrimKey]
GO
