

/*
	CREATE staging Views
*/

create view dbo.vc_Staging_PersonAvailability as 
Select [ID],[PersonID],[OrganizationUnitID],[CalendarID],[Availability],[From],[To],[SmallText01],[SmallText02],[SmallText03],[SmallText04],[SmallText05],[SmallText06],[SmallText07],[SmallText08],[SmallText09],[SmallText10],[Text01],[Text02],[Text03],[Text04],[Text05],[LargeText01],[LargeText02],[LargeText03],[LargeText04],[LargeText05],[DateTime01],[DateTime02],[DateTime03],[DateTime04],[DateTime05],[Bit01],[Bit02],[Bit03],[Bit04],[Bit05],[Int01],[Int02],[Int03],[Int04],[Int05],[Float01],[Float02],[Float03],[Float04],[Float05] from t_Staging_PersonAvailability
GO
create view dbo.vc_Staging_Node as 
Select [ID],[StructureID],[ProjectID],[Title],[Description],[ParentID],[SmallText01],[SmallText02],[SmallText03],[SmallText04],[SmallText05],[SmallText06],[SmallText07],[SmallText08],[SmallText09],[SmallText10] from t_Staging_Node
GO
create view dbo.vc_Staging_PersonAvailabilityException as 
Select [ID],[PersonID],[Title],[Description],[From],[To],[Availability],[Approval],[ApprovalDate],[SmallText01],[SmallText02],[SmallText03],[SmallText04],[SmallText05],[SmallText06],[SmallText07],[SmallText08],[SmallText09],[SmallText10],[Text01],[Text02],[Text03],[Text04],[Text05],[LargeText01],[LargeText02],[LargeText03],[LargeText04],[LargeText05],[DateTime01],[DateTime02],[DateTime03],[DateTime04],[DateTime05],[Bit01],[Bit02],[Bit03],[Bit04],[Bit05],[Int01],[Int02],[Int03],[Int04],[Int05],[Float01],[Float02],[Float03],[Float04],[Float05] from t_Staging_PersonAvailabilityException
GO
create view dbo.vc_Staging_Calendar as 
Select [ID],[Title],[Description],[PatternStartDate] from t_Staging_Calendar
GO
create view dbo.vc_Staging_PositionLoad as 
Select [ID],[ProjectPositionID],[From],[To],[Load] from t_Staging_PositionLoad
GO
create view dbo.vc_Staging_CalendarPattern as 
Select [ID],[CalendarID],[Title],[Description],[Index],[Days],[HoursPerDay],[LoadFirstDay],[LoadLastDay] from t_Staging_CalendarPattern
GO
create view dbo.vc_Staging_Project as 
Select [ID],[Title],[Description],[ProjectCode],[Date],[ProjectStart],[ProjectEnd],[OrganizationUnitID],[SmallText01],[SmallText02],[SmallText03],[SmallText04],[SmallText05],[SmallText06],[SmallText07],[SmallText08],[SmallText09],[SmallText10],[Text01],[Text02],[Text03],[Text04],[Text05],[LargeText01],[LargeText02],[LargeText03],[LargeText04],[LargeText05],[DateTime01],[DateTime02],[DateTime03],[DateTime04],[DateTime05],[Bit01],[Bit02],[Bit03],[Bit04],[Bit05],[Int01],[Int02],[Int03],[Int04],[Int05],[Float01],[Float02],[Float03],[Float04],[Float05] from t_Staging_Project
GO
create view dbo.vc_Staging_Person as 
Select [ID],[OrganizationUnitID],[Login],[PersonID],[Firstname],[Lastname],[CalendarID],[HiredFrom],[HiredTo],[Email],[SmallText01],[SmallText02],[SmallText03],[SmallText04],[SmallText05],[SmallText06],[SmallText07],[SmallText08],[SmallText09],[SmallText10],[Text01],[Text02],[Text03],[Text04],[Text05],[LargeText01],[LargeText02],[LargeText03],[LargeText04],[LargeText05],[DateTime01],[DateTime02],[DateTime03],[DateTime04],[DateTime05],[Bit01],[Bit02],[Bit03],[Bit04],[Bit05],[Int01],[Int02],[Int03],[Int04],[Int05],[Float01],[Float02],[Float03],[Float04],[Float05] from t_Staging_Person
GO
create view dbo.vc_Staging_CalendarRestriction as 
Select [ID],[CalendarID],[Title],[Description],[Date],[HoursPerDay] from t_Staging_CalendarRestriction
GO
create view dbo.vc_Staging_ExpMhrs as 
Select [ID],[PersonID],[ProjectID],[Start],[Finish],[ExpMhrs],[SmallText01],[SmallText02],[SmallText03],[SmallText04],[SmallText05],[SmallText06],[SmallText07],[SmallText08],[SmallText09],[SmallText10],[Text01],[Text02],[Text03],[Text04],[Text05],[LargeText01],[LargeText02],[LargeText03],[LargeText04],[LargeText05],[DateTime01],[DateTime02],[DateTime03],[DateTime04],[DateTime05],[Bit01],[Bit02],[Bit03],[Bit04],[Bit05],[Int01],[Int02],[Int03],[Int04],[Int05],[Float01],[Float02],[Float03],[Float04],[Float05] from t_Staging_ExpMhrs
GO
create view dbo.vc_Staging_OrganizationUnit as 
Select [ID],[ManagerID],[OrganizationUnitCode],[Title],[Description],[ParentID],[SmallText01],[SmallText02],[SmallText03],[SmallText04],[SmallText05],[SmallText06],[SmallText07],[SmallText08],[SmallText09],[SmallText10],[Text01],[Text02],[Text03],[Text04],[Text05],[LargeText01],[LargeText02],[LargeText03],[LargeText04],[LargeText05],[DateTime01],[DateTime02],[DateTime03],[DateTime04],[DateTime05],[Bit01],[Bit02],[Bit03],[Bit04],[Bit05],[Int01],[Int02],[Int03],[Int04],[Int05],[Float01],[Float02],[Float03],[Float04],[Float05] from t_Staging_OrganizationUnit
GO
create view dbo.vc_Staging_Structure as 
Select [ID],[Title],[Description] from t_Staging_Structure
GO
create view dbo.vc_Staging_PositionType as 
Select [ID],[Title],[Description],[SmallText01],[SmallText02],[SmallText03],[SmallText04],[SmallText05],[SmallText06],[SmallText07],[SmallText08],[SmallText09],[SmallText10],[Text01],[Text02],[Text03],[Text04],[Text05],[LargeText01],[LargeText02],[LargeText03],[LargeText04],[LargeText05],[DateTime01],[DateTime02],[DateTime03],[DateTime04],[DateTime05],[Bit01],[Bit02],[Bit03],[Bit04],[Bit05],[Int01],[Int02],[Int03],[Int04],[Int05],[Float01],[Float02],[Float03],[Float04],[Float05] from t_Staging_PositionType
GO
create view dbo.vc_Staging_OrganizationUnitPositionType as 
Select [ID],[PositionTypeID],[OrganizationUnitID],[SmallText01],[SmallText02],[SmallText03],[SmallText04],[SmallText05],[SmallText06],[SmallText07],[SmallText08],[SmallText09],[SmallText10] from t_Staging_OrganizationUnitPositionType
GO
create view dbo.vc_Staging_Position as 
Select [ID],[PositionID],[PositionTypeID],[Title],[Description],[ProjectID],[PersonID],[CalendarID],[OrganizationApproval],[ProjectApproval],[SmallText01],[SmallText02],[SmallText03],[SmallText04],[SmallText05],[SmallText06],[SmallText07],[SmallText08],[SmallText09],[SmallText10],[Text01],[Text02],[Text03],[Text04],[Text05],[LargeText01],[LargeText02],[LargeText03],[LargeText04],[LargeText05],[DateTime01],[DateTime02],[DateTime03],[DateTime04],[DateTime05],[Bit01],[Bit02],[Bit03],[Bit04],[Bit05],[Int01],[Int02],[Int03],[Int04],[Int05],[Float01],[Float02],[Float03],[Float04],[Float05] from t_Staging_Position
GO

