/*
Run this script on:

        PS03.PromineoR2_Test    -  This database will be modified

to synchronize it with:

        PS03.PromineoR2

You are recommended to back up your database before running this script

Script created by SQL Compare version 10.0.0 from Red Gate Software Ltd at 19.03.2015 12:58:13

*/
SET NUMERIC_ROUNDABORT OFF
GO
SET ANSI_PADDING, ANSI_WARNINGS, CONCAT_NULL_YIELDS_NULL, ARITHABORT, QUOTED_IDENTIFIER, ANSI_NULLS ON
GO
IF EXISTS (SELECT * FROM tempdb..sysobjects WHERE id=OBJECT_ID('tempdb..#tmpErrors')) DROP TABLE #tmpErrors
GO
CREATE TABLE #tmpErrors (Error int)
GO
SET XACT_ABORT ON
GO
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
GO
BEGIN TRANSACTION
GO
PRINT N'Refreshing [dbo].[vc_Security_MyRoles]'
GO
EXEC sp_refreshview N'[dbo].[vc_Security_MyRoles]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Refreshing [dbo].[v_Project_OrganizationUnit]'
GO
EXEC sp_refreshview N'[dbo].[v_Project_OrganizationUnit]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Refreshing [dbo].[v_Project_Revision]'
GO
EXEC sp_refreshview N'[dbo].[v_Project_Revision]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Refreshing [dbo].[v_Project_ProjectRevision]'
GO
EXEC sp_refreshview N'[dbo].[v_Project_ProjectRevision]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Refreshing [dbo].[v_Project_Person]'
GO
EXEC sp_refreshview N'[dbo].[v_Project_Person]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Refreshing [dbo].[v_Project_Calendar]'
GO
EXEC sp_refreshview N'[dbo].[v_Project_Calendar]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Refreshing [dbo].[v_MPP_ProjectPosition]'
GO
EXEC sp_refreshview N'[dbo].[v_MPP_ProjectPosition]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Refreshing [dbo].[v_Security_GroupMember]'
GO
EXEC sp_refreshview N'[dbo].[v_Security_GroupMember]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Refreshing [dbo].[v_MPP_ProjectPositionLoad]'
GO
EXEC sp_refreshview N'[dbo].[v_MPP_ProjectPositionLoad]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering [dbo].[pc_Security_UpdateMyGroupMembership]'
GO
ALTER PROC [dbo].[pc_Security_UpdateMyGroupMembership]
AS

	INSERT INTO [t_Security_GroupMember]([Login], [Group])
	SELECT SUSER_SNAME(), [Group]
	FROM [t_Security_ApplicationRights] r with (nolock)
	WHERE IS_MEMBER([Group]) = 1
	AND NOT EXISTS (SELECT * FROM [t_Security_GroupMember] gm WHERE gm.[Login] = SUSER_SNAME() AND gm.[Group] = r.[Group])

	INSERT INTO [t_Security_GroupMember]([Login], [Group])
	SELECT SUSER_SNAME(), [Group]
	FROM [t_Security_ProjectRights] r with (nolock)
	WHERE IS_MEMBER([Group]) = 1
	AND NOT EXISTS (SELECT * FROM [t_Security_GroupMember] gm WHERE gm.[Login] = SUSER_SNAME() AND gm.[Group] = r.[Group])

	INSERT INTO [t_Security_GroupMember]([Login], [Group])
	SELECT SUSER_SNAME(), [Group]
	FROM [t_Security_OrganizationUnitRights] r with (nolock)		
	WHERE IS_MEMBER([Group]) = 1
	AND NOT EXISTS (SELECT * FROM [t_Security_GroupMember] gm WHERE gm.[Login] = SUSER_SNAME() AND gm.[Group] = r.[Group])

	DELETE [t_Security_GroupMember]
	WHERE NOT EXISTS (
		SELECT [Group]
		FROM [t_Security_ApplicationRights] with (nolock)
		WHERE IS_MEMBER([Group]) = 1
		UNION
		SELECT [Group]
		FROM [t_Security_ProjectRights] with (nolock)
		WHERE IS_MEMBER([Group]) = 1
		UNION
		SELECT [Group]
		FROM [t_Security_OrganizationUnitRights] with (nolock)
		WHERE IS_MEMBER([Group]) = 1
	)

	INSERT INTO [t_Security_GroupMemberUpdate]([Login], [Time])
	VALUES(SUSER_SNAME(), GETDATE())
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Refreshing [dbo].[vc_Security_MyGroups]'
GO
EXEC sp_refreshview N'[dbo].[vc_Security_MyGroups]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Refreshing [dbo].[vc_Security_MyDataAccess]'
GO
EXEC sp_refreshview N'[dbo].[vc_Security_MyDataAccess]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Creating [dbo].[v_System_UpgradeLog]'
GO

CREATE VIEW [dbo].[v_System_UpgradeLog]
AS
SELECT * FROM [t_System_UpgradeLog] with (nolock)
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Refreshing [dbo].[v_Security_ErrorLog]'
GO
EXEC sp_refreshview N'[dbo].[v_Security_ErrorLog]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Refreshing [dbo].[v_Security_DataLog]'
GO
EXEC sp_refreshview N'[dbo].[v_Security_DataLog]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Refreshing [dbo].[v_Project_Project]'
GO
EXEC sp_refreshview N'[dbo].[v_Project_Project]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Refreshing [dbo].[v_MPP_PositionType]'
GO
EXEC sp_refreshview N'[dbo].[v_MPP_PositionType]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Refreshing [dbo].[v_MPP_OrganizationUnitPositionType]'
GO
EXEC sp_refreshview N'[dbo].[v_MPP_OrganizationUnitPositionType]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Refreshing [dbo].[vc_DataSource_ProjectPositionWithLoad]'
GO
EXEC sp_refreshview N'[dbo].[vc_DataSource_ProjectPositionWithLoad]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Adding constraints to [dbo].[t_Security_GroupMember]'
GO

/* 
ENSURE NO DUPLICATES BEFORE ADDING THE CONSTRAINT
*/

delete gm 
from t_Security_GroupMember gm
where exists (
	select * from t_Security_GroupMember gm2 where gm2.[Login] = gm.[Login] and gm2.[Group] = gm.[Group] and gm2.PrimKey > gm.PrimKey
)
GO

ALTER TABLE [dbo].[t_Security_GroupMember] ADD CONSTRAINT [IX_t_Security_GroupMember_1] UNIQUE NONCLUSTERED  ([Login], [Group])
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Creating trigger [dbo].[trd_System_UpgradeLog] on [dbo].[t_System_UpgradeLog]'
GO

CREATE TRIGGER [dbo].[trd_System_UpgradeLog] 
ON [dbo].[t_System_UpgradeLog]
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_System_UpgradeLog', PrimKey, suser_sname(), 'D', getdate()
        FROM deleted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_System_UpgradeLog', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Creating trigger [dbo].[tri_System_UpgradeLog] on [dbo].[t_System_UpgradeLog]'
GO

CREATE TRIGGER [dbo].[tri_System_UpgradeLog] 
ON [dbo].[t_System_UpgradeLog]
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_System_UpgradeLog', PrimKey, suser_sname(), 'I', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_System_UpgradeLog', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Creating trigger [dbo].[tru_System_UpgradeLog] on [dbo].[t_System_UpgradeLog]'
GO

CREATE TRIGGER [dbo].[tru_System_UpgradeLog] 
ON [dbo].[t_System_UpgradeLog]
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_System_UpgradeLog', PrimKey, suser_sname(), 'U', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_System_UpgradeLog', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering permissions on [dbo].[v_System_UpgradeLog]'
GO
GRANT SELECT ON  [dbo].[v_System_UpgradeLog] TO [public]
GRANT INSERT ON  [dbo].[v_System_UpgradeLog] TO [public]
GRANT DELETE ON  [dbo].[v_System_UpgradeLog] TO [public]
GRANT UPDATE ON  [dbo].[v_System_UpgradeLog] TO [public]
GO
PRINT N'Altering permissions on [dbo].[vc_DataSource_ProjectPositionWithLoad]'
GO
GRANT SELECT ON  [dbo].[vc_DataSource_ProjectPositionWithLoad] TO [public]
GRANT INSERT ON  [dbo].[vc_DataSource_ProjectPositionWithLoad] TO [public]
GRANT DELETE ON  [dbo].[vc_DataSource_ProjectPositionWithLoad] TO [public]
GRANT UPDATE ON  [dbo].[vc_DataSource_ProjectPositionWithLoad] TO [public]
GO
PRINT N'Altering permissions on [dbo].[pc_System_InitialSetup]'
GO
GRANT EXECUTE ON  [dbo].[pc_System_InitialSetup] TO [public]
GO
IF EXISTS (SELECT * FROM #tmpErrors) ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT>0 BEGIN
PRINT 'The database update succeeded'
COMMIT TRANSACTION
END
ELSE PRINT 'The database update failed'
GO
DROP TABLE #tmpErrors
GO
