IF NOT EXISTS(
    SELECT *
    FROM sys.columns 
    WHERE Name      = N'ImportID'
      AND Object_ID = Object_ID(N't_Project_Project'))
ALTER TABLE [dbo].[t_Project_Project] ADD [ImportID] [varchar] (100) NULL
GO

ALTER view [dbo].[vc_Staging_Project] as 
Select [ID],[Title],[Description],[Date],[ProjectStart],[ProjectEnd],[OrganizationUnitID],[SmallText01],[SmallText02],[SmallText03],[SmallText04],[SmallText05],[SmallText06],[SmallText07],[SmallText08],[SmallText09],[SmallText10],[Text01],[Text02],[Text03],[Text04],[Text05],[LargeText01],[LargeText02],[LargeText03],[LargeText04],[LargeText05],[DateTime01],[DateTime02],[DateTime03],[DateTime04],[DateTime05],[Bit01],[Bit02],[Bit03],[Bit04],[Bit05],[Int01],[Int02],[Int03],[Int04],[Int05],[Float01],[Float02],[Float03],[Float04],[Float05] from t_Staging_Project
GO

ALTER view [dbo].[vc_Staging_TableColumn] as
select 
	case t.name
	when 'v_MPP_ProjectPosition' then 'Position'
	when 'v_MPP_ProjectPositionLoad' then 'PositionLoad'
	when 'v_Project_ProjectRevision' then 'Project'
	else
		substring(t.name,charindex('_', t.name,3) + 1,100) 
	end
[Type],
case when t.name like 'v_Staging%' collate Latin1_General_CI_AS then 'Source' else 'Destination' end SourceOrDestination
,
t.name TableName, c.name ColumnName from sys.columns c
join sys.views t on t.object_id = c.object_id
where 
( 
	t.name collate Latin1_General_CI_AS like 'v_Staging%' collate Latin1_General_CI_AS
	or t.name in (
		'v_Project_Person'							collate Latin1_General_CI_AS, 
		'v_Project_ProjectRevision'					collate Latin1_General_CI_AS, 
		'v_Project_OrganizationUnit'				collate Latin1_General_CI_AS,
		'v_MPP_OrganizationUnitPositionType'		collate Latin1_General_CI_AS,
		'v_MPP_PositionType'						collate Latin1_General_CI_AS,
		'v_MPP_ProjectPosition'						collate Latin1_General_CI_AS,
		'v_Project_ExpMhrs'							collate Latin1_General_CI_AS,
		'v_Project_CalendarRestriction'				collate Latin1_General_CI_AS,
		'v_Project_PersonAvailabilityException'		collate Latin1_General_CI_AS,
		'v_Project_Calendar'						collate Latin1_General_CI_AS,
		'v_MPP_ProjectPositionLoad'					collate Latin1_General_CI_AS,
		'v_Project_PersonAvailability'				collate Latin1_General_CI_AS,
		'v_Project_CalendarPattern'					collate Latin1_General_CI_AS,
		'v_Project_Node'							collate Latin1_General_CI_AS,
		'v_Project_Structure'						collate Latin1_General_CI_AS
		)
	)
and c.name collate Latin1_General_CI_AS not in ('PrimKey' collate Latin1_General_CI_AS,'TimeStamp' collate Latin1_General_CI_AS)  

union 
--- Project needed to store in t_Project_Project (both in insert & update)
select 'Project', 'Destination',  'v_Project_Project', 'ProjectCode'

