/*
Run this script on:

        ..MPP2_U    -  This database will be modified

to synchronize it with:

        PDEV02.PromineoR2_Dev

You are recommended to back up your database before running this script

Script created by SQL Compare version 10.0.0 from Red Gate Software Ltd at 04.05.2015 10:00:27

*/
SET NUMERIC_ROUNDABORT OFF
GO
SET ANSI_PADDING, ANSI_WARNINGS, CONCAT_NULL_YIELDS_NULL, ARITHABORT, QUOTED_IDENTIFIER, ANSI_NULLS ON
GO
IF EXISTS (SELECT * FROM tempdb..sysobjects WHERE id=OBJECT_ID('tempdb..#tmpErrors')) DROP TABLE #tmpErrors
GO
CREATE TABLE #tmpErrors (Error int)
GO
SET XACT_ABORT ON
GO
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
GO
BEGIN TRANSACTION
GO
PRINT N'Refreshing [dbo].[vc_Security_MyRoles]'
GO
EXEC sp_refreshview N'[dbo].[vc_Security_MyRoles]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering [dbo].[t_Project_ProjectRevision]'
GO
ALTER TABLE [dbo].[t_Project_ProjectRevision] ADD
[OrganizationUnitRef] [uniqueidentifier] NULL
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Refreshing [dbo].[v_Project_ProjectRevision]'
GO
EXEC sp_refreshview N'[dbo].[v_Project_ProjectRevision]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Refreshing [dbo].[v_MPP_ProjectPosition]'
GO
EXEC sp_refreshview N'[dbo].[v_MPP_ProjectPosition]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Refreshing [dbo].[v_Project_ProjectRevisionValue]'
GO
EXEC sp_refreshview N'[dbo].[v_Project_ProjectRevisionValue]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Refreshing [dbo].[v_Security_ProjectRights]'
GO
EXEC sp_refreshview N'[dbo].[v_Security_ProjectRights]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Refreshing [dbo].[v_MPP_ProjectPositionLoad]'
GO
EXEC sp_refreshview N'[dbo].[v_MPP_ProjectPositionLoad]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Refreshing [dbo].[v_MPP_ProjectPositionValue]'
GO
EXEC sp_refreshview N'[dbo].[v_MPP_ProjectPositionValue]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Refreshing [dbo].[v_Project_ExpMhrs]'
GO
EXEC sp_refreshview N'[dbo].[v_Project_ExpMhrs]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Refreshing [dbo].[v_Project_ExpMhrsValue]'
GO
EXEC sp_refreshview N'[dbo].[v_Project_ExpMhrsValue]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Refreshing [dbo].[v_Security_ErrorLog]'
GO
EXEC sp_refreshview N'[dbo].[v_Security_ErrorLog]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Refreshing [dbo].[v_Security_DataLog]'
GO
EXEC sp_refreshview N'[dbo].[v_Security_DataLog]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Refreshing [dbo].[v_Project_Project]'
GO
EXEC sp_refreshview N'[dbo].[v_Project_Project]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Refreshing [dbo].[vc_MPP_CapacityAndNeed]'
GO
EXEC sp_refreshview N'[dbo].[vc_MPP_CapacityAndNeed]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering [dbo].[pc_DataSource_GetCustomFieldSQL]'
GO






ALTER PROCEDURE [dbo].[pc_DataSource_GetCustomFieldSQL](@TableName NVARCHAR(128), @Alias NVARCHAR(128)=NULL)
AS
BEGIN
	DECLARE @allSelects nvarchar(max) Set @allSelects = ''
	DECLARE @allJoins nvarchar(max) Set @allJoins = ''
	DECLARE @errmsg nvarchar(max) Set @errmsg = ''
	DECLARE @outputTable table
	( 
		FieldList nvarchar(MAX), 
		LeftJoin nvarchar(MAX)
	)

	set nocount on 
	
	IF (@TableName Not In (
			't_MPP_PositionType',
			't_MPP_ProjectPosition',
			't_Project_ExpMhrs',
			't_Project_OrganizationUnit',
			't_Project_Person',
			't_Project_ProjectRevision')) 
		Set @errmsg = 'Table [' + @TableName + '] does not support custom fields!'
		
	IF (@Alias IS NULL) Set @Alias = @TableName

	
	Declare @m_FieldTitle nvarchar(255)
	Declare @m_FieldType nvarchar(255)
	Declare @m_FieldRef uniqueidentifier		
	
	Declare @tbl_prefix varchar(255)
	Declare @tbl varchar(255)
	Declare @col_prefix varchar(255)
	Declare @col varchar(255)
	
	Declare @cf_count int 
	Declare @fieldname varchar(255)
	DECLARE @select nvarchar(max)
	DECLARE @join nvarchar(max)
	
	Declare @fieldtitlepattern varchar(50)  Set @fieldtitlepattern = '%[^a-z]%'

	
	IF (@TableName = 't_MPP_PositionType')
	BEGIN
		Set @errmsg = 'Table [' + @TableName + '] not yet implemented in [fc_GetCustomFieldSQL]!'
	END
	
	IF (@TableName = 't_MPP_ProjectPosition')
	BEGIN
		Declare my_cursor Cursor For
		--- Collect custom fields used for project positions
		select f.title, f.[type], ppf.FieldRef
		from t_MPP_ProjectPositionField ppf
		--inner join t_Project_ProjectRevision pr on ppf.ProjectRevisionRef = pr.PrimKey
		inner join t_Project_Revision r on ppf.RevisionRef = r.PrimKey
		left outer join t_Project_Field f on ppf.FieldRef = f.PrimKey
		where r.CurrentRevision = 1
		group by f.title, f.[type], ppf.FieldRef
		order by f.title, f.[type], ppf.FieldRef
	
		set @col_prefix = 'CF_' + @alias + '_'
		set @tbl_prefix = 't_'
		
		set @cf_count = 100
	
		Open my_cursor
		Fetch Next From my_cursor Into @m_FieldTitle, @m_FieldType, @m_FieldRef
		While @@FETCH_STATUS = 0
		Begin
			set @cf_count = @cf_count + 1
			While PatIndex(@fieldtitlepattern, @m_FieldTitle) > 0 Set @m_FieldTitle = Stuff(@m_FieldTitle, PatIndex(@fieldtitlepattern, @m_FieldTitle), 1, '')
	
			set @tbl = @tbl_prefix +  convert(varchar,@cf_count)
			set @col = @col_prefix + @m_FieldTitle + '_' + convert(varchar,@cf_count)

			IF (@m_FieldType = 'Date') set @select = @tbl + '.DateTimeValue ' + @col + ', ' + CHAR(13)+CHAR(10)
			IF (@m_FieldType = 'Date') set @join = 'Left Outer Join v_MPP_ProjectPositionValue ' + @tbl + ' On ' + @tbl + '.ProjectPositionRef = ' + @alias + '.PrimKey And ' + @tbl + '.FieldRef = ''' + convert(varchar(36),@m_FieldRef) + '''' + CHAR(13)+CHAR(10)
	
			IF (@m_FieldType = 'Int') set @select = @tbl + '.IntValue ' + @col + ', ' + CHAR(13)+CHAR(10)
			IF (@m_FieldType = 'Int') set @join = 'Left Outer Join v_MPP_ProjectPositionValue ' + @tbl + ' On ' + @tbl + '.ProjectPositionRef = ' + @alias + '.PrimKey And ' + @tbl + '.FieldRef = ''' + convert(varchar(36),@m_FieldRef) + '''' + CHAR(13)+CHAR(10)
	
			IF (@m_FieldType = 'Text') set @select = @tbl + '.TextValue ' + @col + ', ' + CHAR(13)+CHAR(10)
			IF (@m_FieldType = 'Text') set @join = 'Left Outer Join v_MPP_ProjectPositionValue ' + @tbl + ' On ' + @tbl + '.ProjectPositionRef = ' + @alias + '.PrimKey And ' + @tbl + '.FieldRef = ''' + convert(varchar(36),@m_FieldRef) + '''' + CHAR(13)+CHAR(10)
			
			IF (@m_FieldType = 'Float') set @select = @tbl + '.FloatValue ' + @col + ', ' + CHAR(13)+CHAR(10)
			IF (@m_FieldType = 'Float') set @join = 'Left Outer Join v_MPP_ProjectPositionValue ' + @tbl + ' On ' + @tbl + '.ProjectPositionRef = ' + @alias + '.PrimKey And ' + @tbl + '.FieldRef = ''' + convert(varchar(36),@m_FieldRef) + '''' + CHAR(13)+CHAR(10)
		
			IF (@m_FieldType in ('FlatStructure','TreeStructure')) set @select = @tbl + '.Title ' + @col + '_Title, ' + @tbl + '.Description ' + @col + '_Description, ' + CHAR(13)+CHAR(10)
			IF (@m_FieldType in ('FlatStructure','TreeStructure')) set @join = 'Left Outer Join v_MPP_ProjectPositionValue ppv' + @tbl + ' On ppv' + @tbl + '.ProjectPositionRef = ' + @alias + '.PrimKey And ppv' + @tbl + '.FieldRef = ''' + convert(varchar(36),@m_FieldRef) + ''' Left Outer Join v_Project_Node ' + @tbl + ' On ppv' + @tbl + '.NodeRef = ' + @tbl + '.PrimKey ' + CHAR(13)+CHAR(10)
		
			IF (@m_FieldType = 'OrganizationNode') set @select = @tbl + '.Title ' + @col + '_Title, ' + @tbl + '.Description ' + @col + '_Description, ' + CHAR(13)+CHAR(10)
			IF (@m_FieldType = 'OrganizationNode') set @join = 'Left Outer Join v_MPP_ProjectPositionValue ppv' + @tbl + ' On ppv' + @tbl + '.ProjectPositionRef = ' + @alias + '.PrimKey And ppv' + @tbl + '.FieldRef = ''' + convert(varchar(36),@m_FieldRef) + ''' Left Outer Join v_Project_OrganizationUnit ' + @tbl + ' On ppv' + @tbl + '.OrganizationUnitValueRef = ' + @tbl + '.PrimKey ' + CHAR(13)+CHAR(10)
		
			IF (@m_FieldType = 'Person') set @select = @tbl + '.PersonID ' + @col + '_PersonID, ' + @tbl + '.LastName ' + @col + 'LastName, ' + CHAR(13)+CHAR(10)
			IF (@m_FieldType = 'Person') set @join = 'Left Outer Join v_MPP_ProjectPositionValue ppv' + @tbl + ' On ppv' + @tbl + '.ProjectPositionRef = ' + @alias + '.PrimKey And ppv' + @tbl + '.FieldRef = ''' + convert(varchar(36),@m_FieldRef) + ''' Left Outer Join v_Project_Person ' + @tbl + ' On ppv' + @tbl + '.PersonValueRef = ' + @tbl + '.PrimKey ' + CHAR(13)+CHAR(10)
		
			Set @allSelects = @allSelects + @select
			Set @allJoins = @allJoins + @join
		
			insert into @outputTable( FieldList, LeftJoin ) values ( @select, @join )		
			Fetch Next From my_cursor Into @m_FieldTitle, @m_FieldType, @m_FieldRef
		End
		Close my_cursor
		Deallocate my_cursor		
	END

	IF (@TableName = 't_Project_ExpMhrs')
	BEGIN
		Set @errmsg = 'Table [' + @TableName + '] not yet implemented in [fc_GetCustomFieldSQL]!'
	END
	
	IF (@TableName = 't_Project_OrganizationUnit')
	BEGIN
		Set @errmsg = 'Table [' + @TableName + '] not yet implemented in [fc_GetCustomFieldSQL]!'
	END
	
	IF (@TableName = 't_Project_Person')
	BEGIN
		Declare my_cursor Cursor For
		--- Collect custom fields used for persons
		select f.title, f.[type], pf.FieldRef
		from t_Project_PersonField pf
		inner join t_Project_Revision r on pf.RevisionRef = r.PrimKey
		left outer join t_Project_Field f on pf.FieldRef = f.PrimKey
		where r.CurrentRevision = 1
		group by f.title, f.[type], pf.FieldRef
		order by f.title, f.[type], pf.FieldRef
	
		set @col_prefix = 'CF_' + @alias + '_'
		set @tbl_prefix = 't'
		
		set @cf_count = 200
	
		Open my_cursor
		Fetch Next From my_cursor Into @m_FieldTitle, @m_FieldType, @m_FieldRef
		While @@FETCH_STATUS = 0
		Begin
			set @cf_count = @cf_count + 1
			While PatIndex(@fieldtitlepattern, @m_FieldTitle) > 0 Set @m_FieldTitle = Stuff(@m_FieldTitle, PatIndex(@fieldtitlepattern, @m_FieldTitle), 1, '')
	
			set @tbl = @tbl_prefix + convert(varchar,@cf_count)
			set @col = @col_prefix + @m_FieldTitle --+ '_' + convert(varchar,@cf_count)

			IF (@m_FieldType = 'Date') set @select = @tbl + '.DateTimeValue ' + @col + ', ' + CHAR(13)+CHAR(10)
			IF (@m_FieldType = 'Date') set @join = 'Left Outer Join v_Project_PersonValue ' + @tbl + ' On ' + @tbl + '.PersonRef = ' + @alias + '.PrimKey And ' + @tbl + '.FieldRef = ''' + convert(varchar(36),@m_FieldRef) + '''' + CHAR(13)+CHAR(10)
	
			IF (@m_FieldType = 'Int') set @select = @tbl + '.IntValue ' + @col + ', ' + CHAR(13)+CHAR(10)
			IF (@m_FieldType = 'Int') set @join = 'Left Outer Join v_Project_PersonValue ' + @tbl + ' On ' + @tbl + '.PersonRef = ' + @alias + '.PrimKey And ' + @tbl + '.FieldRef = ''' + convert(varchar(36),@m_FieldRef) + '''' + CHAR(13)+CHAR(10)
	
			IF (@m_FieldType = 'Text') set @select = @tbl + '.TextValue ' + @col + ', ' + CHAR(13)+CHAR(10)
			IF (@m_FieldType = 'Text') set @join = 'Left Outer Join v_Project_PersonValue ' + @tbl + ' On ' + @tbl + '.PersonRef = ' + @alias + '.PrimKey And ' + @tbl + '.FieldRef = ''' + convert(varchar(36),@m_FieldRef) + '''' + CHAR(13)+CHAR(10)
			
			IF (@m_FieldType = 'Float') set @select = @tbl + '.FloatValue ' + @col + ', ' + CHAR(13)+CHAR(10)
			IF (@m_FieldType = 'Float') set @join = 'Left Outer Join v_Project_PersonValue ' + @tbl + ' On ' + @tbl + '.PersonRef = ' + @alias + '.PrimKey And ' + @tbl + '.FieldRef = ''' + convert(varchar(36),@m_FieldRef) + '''' + CHAR(13)+CHAR(10)
		
			IF (@m_FieldType in ('FlatStructure','TreeStructure')) set @select = @tbl + '.Title ' + @col + '_Title, ' + @tbl + '.Description ' + @col + '_Description, ' + CHAR(13)+CHAR(10)
			IF (@m_FieldType in ('FlatStructure','TreeStructure')) set @join = 'Left Outer Join v_Project_PersonValue ppv' + @tbl + ' On ppv' + @tbl + '.PersonRef = ' + @alias + '.PrimKey And ppv' + @tbl + '.FieldRef = ''' + convert(varchar(36),@m_FieldRef) + ''' Left Outer Join v_Project_Node ' + @tbl + ' On ppv' + @tbl + '.NodeRef = ' + @tbl + '.PrimKey ' + CHAR(13)+CHAR(10)
		
			IF (@m_FieldType = 'OrganizationNode') set @select = @tbl + '.Title ' + @col + '_Title, ' + @tbl + '.Description ' + @col + '_Description, ' + CHAR(13)+CHAR(10)
			IF (@m_FieldType = 'OrganizationNode') set @join = 'Left Outer Join v_Project_PersonValue ppv' + @tbl + ' On ppv' + @tbl + '.PersonRef = ' + @alias + '.PrimKey And ppv' + @tbl + '.FieldRef = ''' + convert(varchar(36),@m_FieldRef) + ''' Left Outer Join v_Project_OrganizationUnit ' + @tbl + ' On ppv' + @tbl + '.OrganizationUnitValueRef = ' + @tbl + '.PrimKey ' + CHAR(13)+CHAR(10)
		
			IF (@m_FieldType = 'Person') set @select = @tbl + '.PersonID ' + @col + '_PersonID, ' + @tbl + '.LastName ' + @col + 'LastName, ' + CHAR(13)+CHAR(10)
			IF (@m_FieldType = 'Person') set @join = 'Left Outer Join v_Project_PersonValue ppv' + @tbl + ' On ppv' + @tbl + '.PersonRef = ' + @alias + '.PrimKey And ppv' + @tbl + '.FieldRef = ''' + convert(varchar(36),@m_FieldRef) + ''' Left Outer Join v_Project_Person ' + @tbl + ' On ppv' + @tbl + '.PersonValueRef = ' + @tbl + '.PrimKey ' + CHAR(13)+CHAR(10)
		
			Set @allSelects = @allSelects + @select
			Set @allJoins = @allJoins + @join
		
			insert into @outputTable( FieldList, LeftJoin ) values ( @select, @join )		
			Fetch Next From my_cursor Into @m_FieldTitle, @m_FieldType, @m_FieldRef
		End
		Close my_cursor
		Deallocate my_cursor

	END
	
	IF (@TableName = 't_Project_ProjectRevision')
	BEGIN


		Declare my_cursor Cursor For
		--- Collect custom fields used for project positions
		select f.title, f.[type], prf.FieldRef
		from t_Project_ProjectRevisionField prf
		inner join t_Project_Revision r on prf.RevisionRef = r.PrimKey
		left outer join t_Project_Field f on prf.FieldRef = f.PrimKey
		where r.CurrentRevision = 1
		group by f.title, f.[type], prf.FieldRef
		order by f.title, f.[type], prf.FieldRef
	
		set @col_prefix = 'CF_' + @alias + '_'
		set @tbl_prefix = 't_'
		
		set @cf_count = 300
	
		Open my_cursor
		Fetch Next From my_cursor Into @m_FieldTitle, @m_FieldType, @m_FieldRef
		While @@FETCH_STATUS = 0
		Begin
			set @cf_count = @cf_count + 1
			While PatIndex(@fieldtitlepattern, @m_FieldTitle) > 0 Set @m_FieldTitle = Stuff(@m_FieldTitle, PatIndex(@fieldtitlepattern, @m_FieldTitle), 1, '')
	
			set @tbl = @tbl_prefix +  convert(varchar,@cf_count)
			set @col = @col_prefix + @m_FieldTitle + '_' + convert(varchar,@cf_count)

			IF (@m_FieldType = 'Date') set @select = @tbl + '.DateTimeValue ' + @col + ', ' + CHAR(13)+CHAR(10)
			IF (@m_FieldType = 'Date') set @join = 'Left Outer Join v_Project_ProjectRevisionValue ' + @tbl + ' On ' + @tbl + '.ProjectRevisionRef = ' + @alias + '.PrimKey And ' + @tbl + '.FieldRef = ''' + convert(varchar(36),@m_FieldRef) + '''' + CHAR(13)+CHAR(10)
	
			IF (@m_FieldType = 'Int') set @select = @tbl + '.IntValue ' + @col + ', ' + CHAR(13)+CHAR(10)
			IF (@m_FieldType = 'Int') set @join = 'Left Outer Join v_Project_ProjectRevisionValue ' + @tbl + ' On ' + @tbl + '.ProjectRevisionRef = ' + @alias + '.PrimKey And ' + @tbl + '.FieldRef = ''' + convert(varchar(36),@m_FieldRef) + '''' + CHAR(13)+CHAR(10)
	
			IF (@m_FieldType = 'Text') set @select = @tbl + '.TextValue ' + @col + ', ' + CHAR(13)+CHAR(10)
			IF (@m_FieldType = 'Text') set @join = 'Left Outer Join v_Project_ProjectRevisionValue ' + @tbl + ' On ' + @tbl + '.ProjectRevisionRef = ' + @alias + '.PrimKey And ' + @tbl + '.FieldRef = ''' + convert(varchar(36),@m_FieldRef) + '''' + CHAR(13)+CHAR(10)
			
			IF (@m_FieldType = 'Float') set @select = @tbl + '.FloatValue ' + @col + ', ' + CHAR(13)+CHAR(10)
			IF (@m_FieldType = 'Float') set @join = 'Left Outer Join v_Project_ProjectRevisionValue ' + @tbl + ' On ' + @tbl + '.ProjectRevisionRef = ' + @alias + '.PrimKey And ' + @tbl + '.FieldRef = ''' + convert(varchar(36),@m_FieldRef) + '''' + CHAR(13)+CHAR(10)
		
			IF (@m_FieldType in ('FlatStructure','TreeStructure')) set @select = @tbl + '.Title ' + @col + '_Title, ' + @tbl + '.Description ' + @col + '_Description, ' + CHAR(13)+CHAR(10)
			IF (@m_FieldType in ('FlatStructure','TreeStructure')) set @join = 'Left Outer Join v_Project_ProjectRevisionValue ppv' + @tbl + ' On ppv' + @tbl + '.ProjectRevisionRef = ' + @alias + '.PrimKey And ppv' + @tbl + '.FieldRef = ''' + convert(varchar(36),@m_FieldRef) + ''' Left Outer Join v_Project_Node ' + @tbl + ' On ppv' + @tbl + '.NodeRef = ' + @tbl + '.PrimKey ' + CHAR(13)+CHAR(10)
		
			IF (@m_FieldType = 'OrganizationNode') set @select = @tbl + '.Title ' + @col + '_Title, ' + @tbl + '.Description ' + @col + '_Description, ' + CHAR(13)+CHAR(10)
			IF (@m_FieldType = 'OrganizationNode') set @join = 'Left Outer Join v_Project_ProjectRevisionValue ppv' + @tbl + ' On ppv' + @tbl + '.ProjectRevisionRef = ' + @alias + '.PrimKey And ppv' + @tbl + '.FieldRef = ''' + convert(varchar(36),@m_FieldRef) + ''' Left Outer Join v_Project_OrganizationUnit ' + @tbl + ' On ppv' + @tbl + '.OrganizationUnitValueRef = ' + @tbl + '.PrimKey ' + CHAR(13)+CHAR(10)
		
			IF (@m_FieldType = 'Person') set @select = @tbl + '.PersonID ' + @col + '_PersonID, ' + @tbl + '.LastName ' + @col + 'LastName, ' + CHAR(13)+CHAR(10)
			IF (@m_FieldType = 'Person') set @join = 'Left Outer Join v_Project_ProjectRevisionValue ppv' + @tbl + ' On ppv' + @tbl + '.ProjectRevisionRef = ' + @alias + '.PrimKey And ppv' + @tbl + '.FieldRef = ''' + convert(varchar(36),@m_FieldRef) + ''' Left Outer Join v_Project_Person ' + @tbl + ' On ppv' + @tbl + '.PersonValueRef = ' + @tbl + '.PrimKey ' + CHAR(13)+CHAR(10)
		
			Set @allSelects = @allSelects + @select
			Set @allJoins = @allJoins + @join
		
			insert into @outputTable( FieldList, LeftJoin ) values ( @select, @join )		
			Fetch Next From my_cursor Into @m_FieldTitle, @m_FieldType, @m_FieldRef
		End
		Close my_cursor
		Deallocate my_cursor		

	END
	
	Print @errmsg
	
	select * from @outputTable
END






GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Refreshing [dbo].[v_Project_SelectedProject]'
GO
EXEC sp_refreshview N'[dbo].[v_Project_SelectedProject]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Refreshing [dbo].[vc_DataSource_ProjectPositionWithLoad]'
GO
EXEC sp_refreshview N'[dbo].[vc_DataSource_ProjectPositionWithLoad]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Refreshing [dbo].[vc_DataSource_ProjectPosition]'
GO
EXEC sp_refreshview N'[dbo].[vc_DataSource_ProjectPosition]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Adding foreign keys to [dbo].[t_Project_ProjectRevision]'
GO
ALTER TABLE [dbo].[t_Project_ProjectRevision] ADD CONSTRAINT [r_Project_OrganizationUnit_ProjectRevisions] FOREIGN KEY ([OrganizationUnitRef]) REFERENCES [dbo].[t_Project_OrganizationUnit] ([PrimKey])
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
IF EXISTS (SELECT * FROM #tmpErrors) ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT>0 BEGIN
PRINT 'The database update succeeded'
COMMIT TRANSACTION
END
ELSE PRINT 'The database update failed'
GO
DROP TABLE #tmpErrors
GO
