/*
Run this script on:

        PDEV02.PromineoMPP_Kvaerner    -  This database will be modified

to synchronize it with:

        pdev02.PromineoR2_Dev

You are recommended to back up your database before running this script

Script created by SQL Compare version 10.4.8 from Red Gate Software Ltd at 07/12/2016 21:30:53

*/
SET NUMERIC_ROUNDABORT OFF
GO
SET ANSI_PADDING, ANSI_WARNINGS, CONCAT_NULL_YIELDS_NULL, ARITHABORT, QUOTED_IDENTIFIER, ANSI_NULLS ON
GO
IF EXISTS (SELECT * FROM tempdb..sysobjects WHERE id=OBJECT_ID('tempdb..#tmpErrors')) DROP TABLE #tmpErrors
GO
CREATE TABLE #tmpErrors (Error int)
GO
SET XACT_ABORT ON
GO
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
GO
BEGIN TRANSACTION
GO
PRINT N'Dropping foreign keys from [dbo].[t_MPP_PositionTypeValue]'
GO
ALTER TABLE [dbo].[t_MPP_PositionTypeValue] DROP CONSTRAINT [r_MPP_PositionType_Values]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping foreign keys from [dbo].[t_Project_ExpMhrs]'
GO
ALTER TABLE [dbo].[t_Project_ExpMhrs] DROP CONSTRAINT [r_Project_Person_ExpMhrs]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping foreign keys from [dbo].[t_Project_OrganizationUnitValue]'
GO
ALTER TABLE [dbo].[t_Project_OrganizationUnitValue] DROP CONSTRAINT [r_Project_OrganizationUnit_Values]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping foreign keys from [dbo].[t_Project_ExpMhrsValue]'
GO
ALTER TABLE [dbo].[t_Project_ExpMhrsValue] DROP CONSTRAINT [r_Project_ExpMhrs_Values]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering [dbo].[t_Staging_Position]'
GO
ALTER TABLE [dbo].[t_Staging_Position] ADD
[OrganizationUnitPositionTypeID] [nvarchar] (100) COLLATE Latin1_General_CI_AS NULL
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering [dbo].[t_Staging_Project]'
GO
IF NOT EXISTS(
    SELECT *
    FROM sys.columns 
    WHERE Name      = N'ProjectCode'
      AND Object_ID = Object_ID(N't_Staging_Project'))
ALTER TABLE [dbo].[t_Staging_Project] ADD
[ProjectCode] [varchar] (50) COLLATE Latin1_General_CI_AS NULL
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Adding foreign keys to [dbo].[t_MPP_PositionTypeValue]'
GO
ALTER TABLE [dbo].[t_MPP_PositionTypeValue] ADD CONSTRAINT [r_MPP_PositionType_Values] FOREIGN KEY ([PositionTypeRef]) REFERENCES [dbo].[t_MPP_PositionType] ([PrimKey]) ON DELETE CASCADE
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Adding foreign keys to [dbo].[t_Project_ExpMhrs]'
GO
ALTER TABLE [dbo].[t_Project_ExpMhrs] ADD CONSTRAINT [r_Project_Person_ExpMhrs] FOREIGN KEY ([PersonRef]) REFERENCES [dbo].[t_Project_Person] ([PrimKey])
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Adding foreign keys to [dbo].[t_Project_OrganizationUnitValue]'
GO
ALTER TABLE [dbo].[t_Project_OrganizationUnitValue] ADD CONSTRAINT [r_Project_OrganizationUnit_Values] FOREIGN KEY ([OrganizationUnitRef]) REFERENCES [dbo].[t_Project_OrganizationUnit] ([PrimKey]) ON DELETE CASCADE
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Adding foreign keys to [dbo].[t_Project_ExpMhrsValue]'
GO
ALTER TABLE [dbo].[t_Project_ExpMhrsValue] ADD CONSTRAINT [r_Project_ExpMhrs_Values] FOREIGN KEY ([ExpMhrsRef]) REFERENCES [dbo].[t_Project_ExpMhrs] ([PrimKey]) ON DELETE CASCADE
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
IF EXISTS (SELECT * FROM #tmpErrors) ROLLBACK TRANSACTION
GO

ALTER VIEW [dbo].[v_Staging_Position]
AS
SELECT * FROM [t_Staging_Position] with (nolock)
GO

ALTER VIEW [dbo].[v_Staging_Project]
AS
SELECT * FROM [t_Staging_Project] with (nolock)
GO

ALTER view [dbo].[vc_Staging_Position] as 
Select [ID],[PositionID],[PositionTypeID],[Title],[Description],[ProjectID],[PersonID],[CalendarID],[OrganizationApproval],[ProjectApproval],[SmallText01],[SmallText02],[SmallText03],[SmallText04],[SmallText05],[SmallText06],[SmallText07],[SmallText08],[SmallText09],[SmallText10],[Text01],[Text02],[Text03],[Text04],[Text05],[LargeText01],[LargeText02],[LargeText03],[LargeText04],[LargeText05],[DateTime01],[DateTime02],[DateTime03],[DateTime04],[DateTime05],[Bit01],[Bit02],[Bit03],[Bit04],[Bit05],[Int01],[Int02],[Int03],[Int04],[Int05],[Float01],[Float02],[Float03],[Float04],[Float05] from t_Staging_Position
GO

ALTER view [dbo].[vc_Staging_Project] as 
Select [ID],[Title],[Description],[Date],[ProjectStart],[ProjectEnd],[OrganizationUnitID],[SmallText01],[SmallText02],[SmallText03],[SmallText04],[SmallText05],[SmallText06],[SmallText07],[SmallText08],[SmallText09],[SmallText10],[Text01],[Text02],[Text03],[Text04],[Text05],[LargeText01],[LargeText02],[LargeText03],[LargeText04],[LargeText05],[DateTime01],[DateTime02],[DateTime03],[DateTime04],[DateTime05],[Bit01],[Bit02],[Bit03],[Bit04],[Bit05],[Int01],[Int02],[Int03],[Int04],[Int05],[Float01],[Float02],[Float03],[Float04],[Float05],[ProjectCode] from t_Staging_Project
GO



IF @@TRANCOUNT>0 BEGIN
PRINT 'The database update succeeded'
COMMIT TRANSACTION
END
ELSE PRINT 'The database update failed'
GO
DROP TABLE #tmpErrors
