
SET NUMERIC_ROUNDABORT OFF
GO
SET ANSI_PADDING, ANSI_WARNINGS, CONCAT_NULL_YIELDS_NULL, ARITHABORT, QUOTED_IDENTIFIER, ANSI_NULLS ON
GO

ALTER TABLE dbo.t_Staging_Calendar ADD TransferTime datetime NULL 
ALTER TABLE dbo.t_Staging_CalendarPattern ADD TransferTime datetime NULL 
ALTER TABLE dbo.t_Staging_CalendarRestriction ADD TransferTime datetime NULL 
ALTER TABLE dbo.t_Staging_ExpMhrs ADD TransferTime datetime NULL 
ALTER TABLE dbo.t_Staging_Node ADD TransferTime datetime NULL 
ALTER TABLE dbo.t_Staging_OrganizationUnit ADD TransferTime datetime NULL 
ALTER TABLE dbo.t_Staging_OrganizationUnitPositionType ADD TransferTime datetime NULL 
ALTER TABLE dbo.t_Staging_Person ADD TransferTime datetime NULL 
ALTER TABLE dbo.t_Staging_PersonAvailability ADD TransferTime datetime NULL 
ALTER TABLE dbo.t_Staging_PersonAvailabilityException ADD TransferTime datetime NULL 
ALTER TABLE dbo.t_Staging_Position ADD TransferTime datetime NULL 
ALTER TABLE dbo.t_Staging_PositionLoad ADD TransferTime datetime NULL 
ALTER TABLE dbo.t_Staging_PositionType ADD TransferTime datetime NULL 
ALTER TABLE dbo.t_Staging_Project ADD TransferTime datetime NULL 
ALTER TABLE dbo.t_Staging_Structure ADD TransferTime datetime NULL 


PRINT N'Altering [dbo].[vc_Staging_Calendar]'
GO
ALTER VIEW vc_Staging_Calendar
AS
SELECT [ID],[Title],[Description],[PatternStartDate],[TransferTime]
FROM t_Staging_Calendar
GO
PRINT N'Altering [dbo].[vc_Staging_CalendarPattern]'
GO
ALTER VIEW vc_Staging_CalendarPattern
AS
SELECT [ID],[CalendarID],[Title],[Description],[Index],[Days],[HoursPerDay],[LoadFirstDay],[LoadLastDay],[TransferTime]
FROM t_Staging_CalendarPattern
GO
PRINT N'Altering [dbo].[vc_Staging_CalendarRestriction]'
GO
ALTER VIEW vc_Staging_CalendarRestriction
AS
SELECT [ID],[CalendarID],[Title],[Description],[Date],[HoursPerDay],[TransferTime]
FROM t_Staging_CalendarRestriction
GO
PRINT N'Altering [dbo].[vc_Staging_ExpMhrs]'
GO
ALTER VIEW vc_Staging_ExpMhrs
AS
SELECT [ID],[PersonID],[ProjectID],[Start],[Finish],[ExpMhrs],[SmallText01],[SmallText02],[SmallText03],[SmallText04],[SmallText05],[SmallText06],[SmallText07],[SmallText08],[SmallText09],[SmallText10],[Text01],[Text02],[Text03],[Text04],[Text05],[LargeText01],[LargeText02],[LargeText03],[LargeText04],[LargeText05],[DateTime01],[DateTime02],[DateTime03],[DateTime04],[DateTime05],[Bit01],[Bit02],[Bit03],[Bit04],[Bit05],[Int01],[Int02],[Int03],[Int04],[Int05],[Float01],[Float02],[Float03],[Float04],[Float05],[TransferTime]
FROM t_Staging_ExpMhrs
GO
PRINT N'Altering [dbo].[vc_Staging_Node]'
GO
ALTER VIEW vc_Staging_Node
AS
SELECT [ID],[ProjectID],[StructureID],[Title],[Description],[ParentID],[SmallText01],[SmallText02],[SmallText03],[SmallText04],[SmallText05],[SmallText06],[SmallText07],[SmallText08],[SmallText09],[SmallText10],[TransferTime]
FROM t_Staging_Node
GO
PRINT N'Altering [dbo].[vc_Staging_OrganizationUnit]'
GO
ALTER VIEW vc_Staging_OrganizationUnit
AS
SELECT [ID],[ManagerID],[OrganizationUnitCode],[Title],[Description],[ParentID],[SmallText01],[SmallText02],[SmallText03],[SmallText04],[SmallText05],[SmallText06],[SmallText07],[SmallText08],[SmallText09],[SmallText10],[Text01],[Text02],[Text03],[Text04],[Text05],[LargeText01],[LargeText02],[LargeText03],[LargeText04],[LargeText05],[DateTime01],[DateTime02],[DateTime03],[DateTime04],[DateTime05],[Bit01],[Bit02],[Bit03],[Bit04],[Bit05],[Int01],[Int02],[Int03],[Int04],[Int05],[Float01],[Float02],[Float03],[Float04],[Float05],[TransferTime]
FROM t_Staging_OrganizationUnit
GO
PRINT N'Altering [dbo].[vc_Staging_OrganizationUnitPositionType]'
GO
ALTER VIEW vc_Staging_OrganizationUnitPositionType
AS
SELECT [ID],[PositionTypeID],[OrganizationUnitID],[SmallText01],[SmallText02],[SmallText03],[SmallText04],[SmallText05],[SmallText06],[SmallText07],[SmallText08],[SmallText09],[SmallText10],[TransferTime]
FROM t_Staging_OrganizationUnitPositionType
GO
PRINT N'Altering [dbo].[vc_Staging_Person]'
GO
ALTER VIEW vc_Staging_Person
AS
SELECT [ID],[OrganizationUnitID],[Login],[PersonID],[Firstname],[Lastname],[CalendarID],[HiredFrom],[HiredTo],[Email],[SmallText01],[SmallText02],[SmallText03],[SmallText04],[SmallText05],[SmallText06],[SmallText07],[SmallText08],[SmallText09],[SmallText10],[Text01],[Text02],[Text03],[Text04],[Text05],[LargeText01],[LargeText02],[LargeText03],[LargeText04],[LargeText05],[DateTime01],[DateTime02],[DateTime03],[DateTime04],[DateTime05],[Bit01],[Bit02],[Bit03],[Bit04],[Bit05],[Int01],[Int02],[Int03],[Int04],[Int05],[Float01],[Float02],[Float03],[Float04],[Float05],[TransferTime]
FROM t_Staging_Person
GO
PRINT N'Altering [dbo].[vc_Staging_PersonAvailability]'
GO
ALTER VIEW vc_Staging_PersonAvailability
AS
SELECT [ID],[PersonID],[OrganizationUnitID],[CalendarID],[Availability],[From],[To],[SmallText01],[SmallText02],[SmallText03],[SmallText04],[SmallText05],[SmallText06],[SmallText07],[SmallText08],[SmallText09],[SmallText10],[Text01],[Text02],[Text03],[Text04],[Text05],[LargeText01],[LargeText02],[LargeText03],[LargeText04],[LargeText05],[DateTime01],[DateTime02],[DateTime03],[DateTime04],[DateTime05],[Bit01],[Bit02],[Bit03],[Bit04],[Bit05],[Int01],[Int02],[Int03],[Int04],[Int05],[Float01],[Float02],[Float03],[Float04],[Float05],[TransferTime]
FROM t_Staging_PersonAvailability
GO
PRINT N'Altering [dbo].[vc_Staging_PersonAvailabilityException]'
GO
ALTER VIEW vc_Staging_PersonAvailabilityException
AS
SELECT [ID],[PersonID],[Title],[Description],[From],[To],[Availability],[Approval],[ApprovalDate],[SmallText01],[SmallText02],[SmallText03],[SmallText04],[SmallText05],[SmallText06],[SmallText07],[SmallText08],[SmallText09],[SmallText10],[Text01],[Text02],[Text03],[Text04],[Text05],[LargeText01],[LargeText02],[LargeText03],[LargeText04],[LargeText05],[DateTime01],[DateTime02],[DateTime03],[DateTime04],[DateTime05],[Bit01],[Bit02],[Bit03],[Bit04],[Bit05],[Int01],[Int02],[Int03],[Int04],[Int05],[Float01],[Float02],[Float03],[Float04],[Float05],[TransferTime]
FROM t_Staging_PersonAvailabilityException
GO
PRINT N'Altering [dbo].[vc_Staging_Position]'
GO
ALTER VIEW vc_Staging_Position
AS
SELECT [ID],[PositionID],[PositionTypeID],[Title],[Description],[ProjectID],[OrganizationUnitPositionTypeID],[PersonID],[CalendarID],[OrganizationApproval],[ProjectApproval],[SmallText01],[SmallText02],[SmallText03],[SmallText04],[SmallText05],[SmallText06],[SmallText07],[SmallText08],[SmallText09],[SmallText10],[Text01],[Text02],[Text03],[Text04],[Text05],[LargeText01],[LargeText02],[LargeText03],[LargeText04],[LargeText05],[DateTime01],[DateTime02],[DateTime03],[DateTime04],[DateTime05],[Bit01],[Bit02],[Bit03],[Bit04],[Bit05],[Int01],[Int02],[Int03],[Int04],[Int05],[Float01],[Float02],[Float03],[Float04],[Float05],[TransferTime]
FROM t_Staging_Position
GO
PRINT N'Altering [dbo].[vc_Staging_PositionLoad]'
GO
ALTER VIEW vc_Staging_PositionLoad
AS
SELECT [ID],[ProjectPositionID],[From],[To],[Load],[TransferTime]
FROM t_Staging_PositionLoad
GO
PRINT N'Altering [dbo].[vc_Staging_PositionType]'
GO
ALTER VIEW vc_Staging_PositionType
AS
SELECT [ID],[Title],[Description],[SmallText01],[SmallText02],[SmallText03],[SmallText04],[SmallText05],[SmallText06],[SmallText07],[SmallText08],[SmallText09],[SmallText10],[Text01],[Text02],[Text03],[Text04],[Text05],[LargeText01],[LargeText02],[LargeText03],[LargeText04],[LargeText05],[DateTime01],[DateTime02],[DateTime03],[DateTime04],[DateTime05],[Bit01],[Bit02],[Bit03],[Bit04],[Bit05],[Int01],[Int02],[Int03],[Int04],[Int05],[Float01],[Float02],[Float03],[Float04],[Float05],[TransferTime]
FROM t_Staging_PositionType
GO
PRINT N'Altering [dbo].[vc_Staging_Project]'
GO
ALTER VIEW vc_Staging_Project
AS
SELECT [ID],[Title],[Description],[Date],[ProjectStart],[ProjectEnd],[OrganizationUnitID],[SmallText01],[SmallText02],[SmallText03],[SmallText04],[SmallText05],[SmallText06],[SmallText07],[SmallText08],[SmallText09],[SmallText10],[Text01],[Text02],[Text03],[Text04],[Text05],[LargeText01],[LargeText02],[LargeText03],[LargeText04],[LargeText05],[DateTime01],[DateTime02],[DateTime03],[DateTime04],[DateTime05],[Bit01],[Bit02],[Bit03],[Bit04],[Bit05],[Int01],[Int02],[Int03],[Int04],[Int05],[Float01],[Float02],[Float03],[Float04],[Float05],[ProjectCode],[TransferTime]
FROM t_Staging_Project
GO
PRINT N'Altering [dbo].[vc_Staging_Structure]'
GO
ALTER VIEW vc_Staging_Structure
AS
SELECT [ID],[Title],[Description],[TransferTime]
FROM t_Staging_Structure
GO
