/*
Run this script on:

        pdev02.PromineoR2_2017_0202    -  This database will be modified

to synchronize it with:

        pdev02.PromineoR2_Dev

You are recommended to back up your database before running this script

Script created by SQL Compare version 10.4.8 from Red Gate Software Ltd at 03.02.2017 13.45.52

*/
SET NUMERIC_ROUNDABORT OFF
GO
SET ANSI_PADDING, ANSI_WARNINGS, CONCAT_NULL_YIELDS_NULL, ARITHABORT, QUOTED_IDENTIFIER, ANSI_NULLS ON
GO
IF EXISTS (SELECT * FROM tempdb..sysobjects WHERE id=OBJECT_ID('tempdb..#tmpErrors')) DROP TABLE #tmpErrors
GO
CREATE TABLE #tmpErrors (Error int)
GO
SET XACT_ABORT ON
GO
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
GO
BEGIN TRANSACTION
GO
PRINT N'Dropping foreign keys from [dbo].[t_InterfaceConfigurator_AlternativeSourceName]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_AlternativeSourceName] DROP CONSTRAINT [r_InterfaceConfigurator_ImportColumn_AlternativeSourceNames]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping foreign keys from [dbo].[t_InterfaceConfigurator_ImportColumn]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ImportColumn] DROP CONSTRAINT [r_InterfaceConfigurator_ImportConfiguration_Columns]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping foreign keys from [dbo].[t_InterfaceConfigurator_ImportLog]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ImportLog] DROP CONSTRAINT [r_InterfaceConfigurator_ImportConfiguration_LogEntries]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping foreign keys from [dbo].[t_InterfaceConfigurator_StepLog]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_StepLog] DROP CONSTRAINT [r_InterfaceConfigurator_JobLog_StepLogEntries]
ALTER TABLE [dbo].[t_InterfaceConfigurator_StepLog] DROP CONSTRAINT [r_InterfaceConfigurator_Step_LogEntries]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping foreign keys from [dbo].[t_InterfaceConfigurator_JobLog]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_JobLog] DROP CONSTRAINT [r_InterfaceConfigurator_Job_LogEntries]
ALTER TABLE [dbo].[t_InterfaceConfigurator_JobLog] DROP CONSTRAINT [r_InterfaceConfigurator_Schedule_LogEntries]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping foreign keys from [dbo].[t_InterfaceConfigurator_Parameter]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_Parameter] DROP CONSTRAINT [r_InterfaceConfigurator_Job_Parameters]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping foreign keys from [dbo].[t_InterfaceConfigurator_Schedule]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_Schedule] DROP CONSTRAINT [r_InterfaceConfigurator_Job_Schedules]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping foreign keys from [dbo].[t_InterfaceConfigurator_Step]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_Step] DROP CONSTRAINT [r_InterfaceConfigurator_Job_Steps]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping foreign keys from [dbo].[t_InterfaceConfigurator_ParameterValue]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ParameterValue] DROP CONSTRAINT [r_InterfaceConfigurator_Parameter_Values]
ALTER TABLE [dbo].[t_InterfaceConfigurator_ParameterValue] DROP CONSTRAINT [r_InterfaceConfigurator_Schedule_ParameterValues]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping foreign keys from [dbo].[t_InterfaceConfigurator_ScheduleStep]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ScheduleStep] DROP CONSTRAINT [r_InterfaceConfigurator_Schedule_Steps]
ALTER TABLE [dbo].[t_InterfaceConfigurator_ScheduleStep] DROP CONSTRAINT [r_InterfaceConfigurator_Step_Schedules]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping foreign keys from [dbo].[t_InterfaceConfigurator_ScheduleTime]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ScheduleTime] DROP CONSTRAINT [r_InterfaceConfigurator_Schedule_Times]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping constraints from [dbo].[t_InterfaceConfigurator_AlternativeSourceName]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_AlternativeSourceName] DROP CONSTRAINT [PK_t_InterfaceConfigurator_AlternativeSourceName]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping constraints from [dbo].[t_InterfaceConfigurator_AlternativeSourceName]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_AlternativeSourceName] DROP CONSTRAINT [DF__t_Interfa__PrimK__47FC752D]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping constraints from [dbo].[t_InterfaceConfigurator_ImportColumn]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ImportColumn] DROP CONSTRAINT [PK_t_InterfaceConfigurator_ImportColumn]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping constraints from [dbo].[t_InterfaceConfigurator_ImportColumn]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ImportColumn] DROP CONSTRAINT [DF__t_Interfa__Colum__4CC12A4A]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping constraints from [dbo].[t_InterfaceConfigurator_ImportColumn]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ImportColumn] DROP CONSTRAINT [DF__t_Interfa__Value__4DB54E83]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping constraints from [dbo].[t_InterfaceConfigurator_ImportColumn]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ImportColumn] DROP CONSTRAINT [DF__t_Interfac__Trim__4EA972BC]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping constraints from [dbo].[t_InterfaceConfigurator_ImportColumn]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ImportColumn] DROP CONSTRAINT [DF__t_Interfa__PrimK__4F9D96F5]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping constraints from [dbo].[t_InterfaceConfigurator_ImportConfiguration]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ImportConfiguration] DROP CONSTRAINT [PK_t_InterfaceConfigurator_ImportConfiguration]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping constraints from [dbo].[t_InterfaceConfigurator_ImportConfiguration]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ImportConfiguration] DROP CONSTRAINT [DF__t_Interfa__Inclu__54624C12]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping constraints from [dbo].[t_InterfaceConfigurator_ImportConfiguration]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ImportConfiguration] DROP CONSTRAINT [DF__t_Interfa__PrimK__5556704B]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping constraints from [dbo].[t_InterfaceConfigurator_ImportLog]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ImportLog] DROP CONSTRAINT [PK_t_InterfaceConfigurator_ImportLog]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping constraints from [dbo].[t_InterfaceConfigurator_ImportLog]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ImportLog] DROP CONSTRAINT [DF__t_Interfa__PrimK__5A1B2568]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping constraints from [dbo].[t_InterfaceConfigurator_JobLog]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_JobLog] DROP CONSTRAINT [PK_t_InterfaceConfigurator_JobLog]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping constraints from [dbo].[t_InterfaceConfigurator_JobLog]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_JobLog] DROP CONSTRAINT [DF__t_Interfa__PrimK__63A48FA2]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping constraints from [dbo].[t_InterfaceConfigurator_Job]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_Job] DROP CONSTRAINT [PK_t_InterfaceConfigurator_Job]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping constraints from [dbo].[t_InterfaceConfigurator_Job]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_Job] DROP CONSTRAINT [DF__t_Interfa__PrimK__5EDFDA85]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping constraints from [dbo].[t_InterfaceConfigurator_Parameter]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_Parameter] DROP CONSTRAINT [PK_t_InterfaceConfigurator_Parameter]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping constraints from [dbo].[t_InterfaceConfigurator_Parameter]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_Parameter] DROP CONSTRAINT [DF__t_Interfa__PrimK__686944BF]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping constraints from [dbo].[t_InterfaceConfigurator_ParameterValue]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ParameterValue] DROP CONSTRAINT [PK_t_InterfaceConfigurator_ParameterValue]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping constraints from [dbo].[t_InterfaceConfigurator_ParameterValue]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ParameterValue] DROP CONSTRAINT [DF__t_Interfa__PrimK__6D2DF9DC]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping constraints from [dbo].[t_InterfaceConfigurator_Schedule]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_Schedule] DROP CONSTRAINT [PK_t_InterfaceConfigurator_Schedule]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping constraints from [dbo].[t_InterfaceConfigurator_Schedule]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_Schedule] DROP CONSTRAINT [DF__t_Interfa__PrimK__71F2AEF9]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping constraints from [dbo].[t_InterfaceConfigurator_ScheduleStep]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ScheduleStep] DROP CONSTRAINT [PK_t_InterfaceConfigurator_ScheduleStep]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping constraints from [dbo].[t_InterfaceConfigurator_ScheduleStep]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ScheduleStep] DROP CONSTRAINT [DF__t_Interfa__PrimK__76B76416]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping constraints from [dbo].[t_InterfaceConfigurator_Step]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_Step] DROP CONSTRAINT [PK_t_InterfaceConfigurator_Step]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping constraints from [dbo].[t_InterfaceConfigurator_Step]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_Step] DROP CONSTRAINT [DF__t_Interfa__StopO__0040CE50]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping constraints from [dbo].[t_InterfaceConfigurator_Step]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_Step] DROP CONSTRAINT [DF__t_Interfa__Enabl__0134F289]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping constraints from [dbo].[t_InterfaceConfigurator_Step]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_Step] DROP CONSTRAINT [DF__t_Interfa__PrimK__022916C2]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping constraints from [dbo].[t_InterfaceConfigurator_ScheduleTime]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ScheduleTime] DROP CONSTRAINT [PK_t_InterfaceConfigurator_ScheduleTime]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping constraints from [dbo].[t_InterfaceConfigurator_ScheduleTime]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ScheduleTime] DROP CONSTRAINT [DF__t_Interfa__PrimK__7B7C1933]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping constraints from [dbo].[t_InterfaceConfigurator_StepLog]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_StepLog] DROP CONSTRAINT [PK_t_InterfaceConfigurator_StepLog]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Dropping constraints from [dbo].[t_InterfaceConfigurator_StepLog]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_StepLog] DROP CONSTRAINT [DF__t_Interfa__PrimK__06EDCBDF]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering [dbo].[t_InterfaceConfigurator_AlternativeSourceName]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_AlternativeSourceName] ADD
[Created] [datetime] NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_AlternativeSourceName_Created] DEFAULT (getdate()),
[CreatedBy] [nvarchar] (128) COLLATE Latin1_General_CI_AS NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_AlternativeSourceName_CreatedBy] DEFAULT (suser_sname()),
[Updated] [datetime] NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_AlternativeSourceName_Updated] DEFAULT (getdate()),
[UpdatedBy] [nvarchar] (128) COLLATE Latin1_General_CI_AS NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_AlternativeSourceName_UpdatedBy] DEFAULT (suser_sname())
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Creating primary key [PK_t_InterfaceConfigurator_AlternativeSourceName] on [dbo].[t_InterfaceConfigurator_AlternativeSourceName]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_AlternativeSourceName] ADD CONSTRAINT [PK_t_InterfaceConfigurator_AlternativeSourceName] PRIMARY KEY CLUSTERED  ([PrimKey])
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering [dbo].[t_InterfaceConfigurator_ImportColumn]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ImportColumn] ADD
[Created] [datetime] NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_ImportColumn_Created] DEFAULT (getdate()),
[CreatedBy] [nvarchar] (128) COLLATE Latin1_General_CI_AS NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_ImportColumn_CreatedBy] DEFAULT (suser_sname()),
[Updated] [datetime] NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_ImportColumn_Updated] DEFAULT (getdate()),
[UpdatedBy] [nvarchar] (128) COLLATE Latin1_General_CI_AS NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_ImportColumn_UpdatedBy] DEFAULT (suser_sname())
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Creating primary key [PK_t_InterfaceConfigurator_ImportColumn] on [dbo].[t_InterfaceConfigurator_ImportColumn]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ImportColumn] ADD CONSTRAINT [PK_t_InterfaceConfigurator_ImportColumn] PRIMARY KEY CLUSTERED  ([PrimKey])
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering [dbo].[t_InterfaceConfigurator_ImportConfiguration]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ImportConfiguration] ADD
[SheetName] [nvarchar] (100) COLLATE Latin1_General_CI_AS NULL,
[Created] [datetime] NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_ImportConfiguration_Created] DEFAULT (getdate()),
[CreatedBy] [nvarchar] (128) COLLATE Latin1_General_CI_AS NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_ImportConfiguration_CreatedBy] DEFAULT (suser_sname()),
[Updated] [datetime] NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_ImportConfiguration_Updated] DEFAULT (getdate()),
[UpdatedBy] [nvarchar] (128) COLLATE Latin1_General_CI_AS NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_ImportConfiguration_UpdatedBy] DEFAULT (suser_sname())
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Creating primary key [PK_t_InterfaceConfigurator_ImportConfiguration] on [dbo].[t_InterfaceConfigurator_ImportConfiguration]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ImportConfiguration] ADD CONSTRAINT [PK_t_InterfaceConfigurator_ImportConfiguration] PRIMARY KEY CLUSTERED  ([PrimKey])
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering [dbo].[t_InterfaceConfigurator_ImportLog]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ImportLog] ADD
[Created] [datetime] NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_ImportLog_Created] DEFAULT (getdate()),
[CreatedBy] [nvarchar] (128) COLLATE Latin1_General_CI_AS NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_ImportLog_CreatedBy] DEFAULT (suser_sname()),
[Updated] [datetime] NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_ImportLog_Updated] DEFAULT (getdate()),
[UpdatedBy] [nvarchar] (128) COLLATE Latin1_General_CI_AS NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_ImportLog_UpdatedBy] DEFAULT (suser_sname())
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Creating primary key [PK_t_InterfaceConfigurator_ImportLog] on [dbo].[t_InterfaceConfigurator_ImportLog]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ImportLog] ADD CONSTRAINT [PK_t_InterfaceConfigurator_ImportLog] PRIMARY KEY CLUSTERED  ([PrimKey])
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Creating [dbo].[t_InterfaceConfigurator_ImportPivot]'
GO
CREATE TABLE [dbo].[t_InterfaceConfigurator_ImportPivot]
(
[ImportConfigurationRef] [uniqueidentifier] NOT NULL,
[DestinationTable] [nvarchar] (128) COLLATE Latin1_General_CI_AS NULL,
[KeyFieldName] [nvarchar] (128) COLLATE Latin1_General_CI_AS NULL,
[ColumnFieldName] [nvarchar] (128) COLLATE Latin1_General_CI_AS NULL,
[ColumnDataType] [nvarchar] (128) COLLATE Latin1_General_CI_AS NULL,
[ValueFieldName] [nvarchar] (128) COLLATE Latin1_General_CI_AS NULL,
[ValueDataType] [nvarchar] (128) COLLATE Latin1_General_CI_AS NULL,
[FromColumn] [int] NULL,
[ToColumn] [int] NULL,
[PrimKey] [uniqueidentifier] NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_ImportPivot_PrimKey] DEFAULT (newsequentialid()),
[TimeStamp] [timestamp] NOT NULL,
[Created] [datetime] NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_ImportPivot_Created] DEFAULT (getdate()),
[CreatedBy] [nvarchar] (128) COLLATE Latin1_General_CI_AS NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_ImportPivot_CreatedBy] DEFAULT (suser_sname()),
[Updated] [datetime] NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_ImportPivot_Updated] DEFAULT (getdate()),
[UpdatedBy] [nvarchar] (128) COLLATE Latin1_General_CI_AS NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_ImportPivot_UpdatedBy] DEFAULT (suser_sname())
)
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Creating primary key [PK_t_InterfaceConfigurator_ImportPivot] on [dbo].[t_InterfaceConfigurator_ImportPivot]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ImportPivot] ADD CONSTRAINT [PK_t_InterfaceConfigurator_ImportPivot] PRIMARY KEY CLUSTERED  ([PrimKey])
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Creating [dbo].[v_InterfaceConfigurator_ImportPivot]'
GO

CREATE VIEW [dbo].[v_InterfaceConfigurator_ImportPivot]
AS
SELECT * FROM [t_InterfaceConfigurator_ImportPivot] with (nolock)
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Creating trigger [dbo].[tri_InterfaceConfigurator_ImportPivot] on [dbo].[t_InterfaceConfigurator_ImportPivot]'
GO

CREATE TRIGGER [dbo].[tri_InterfaceConfigurator_ImportPivot] 
ON [dbo].[t_InterfaceConfigurator_ImportPivot]
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_InterfaceConfigurator_ImportPivot', PrimKey, suser_sname(), 'I', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_InterfaceConfigurator_ImportPivot', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Creating trigger [dbo].[tru_InterfaceConfigurator_ImportPivot] on [dbo].[t_InterfaceConfigurator_ImportPivot]'
GO

CREATE TRIGGER [dbo].[tru_InterfaceConfigurator_ImportPivot] 
ON [dbo].[t_InterfaceConfigurator_ImportPivot]
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_InterfaceConfigurator_ImportPivot', PrimKey, suser_sname(), 'U', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_InterfaceConfigurator_ImportPivot', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Creating trigger [dbo].[trd_InterfaceConfigurator_ImportPivot] on [dbo].[t_InterfaceConfigurator_ImportPivot]'
GO

CREATE TRIGGER [dbo].[trd_InterfaceConfigurator_ImportPivot] 
ON [dbo].[t_InterfaceConfigurator_ImportPivot]
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_InterfaceConfigurator_ImportPivot', PrimKey, suser_sname(), 'D', getdate()
        FROM deleted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_InterfaceConfigurator_ImportPivot', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering [dbo].[t_InterfaceConfigurator_Job]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_Job] ADD
[Created] [datetime] NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_Job_Created] DEFAULT (getdate()),
[CreatedBy] [nvarchar] (128) COLLATE Latin1_General_CI_AS NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_Job_CreatedBy] DEFAULT (suser_sname()),
[Updated] [datetime] NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_Job_Updated] DEFAULT (getdate()),
[UpdatedBy] [nvarchar] (128) COLLATE Latin1_General_CI_AS NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_Job_UpdatedBy] DEFAULT (suser_sname())
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Creating primary key [PK_t_InterfaceConfigurator_Job] on [dbo].[t_InterfaceConfigurator_Job]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_Job] ADD CONSTRAINT [PK_t_InterfaceConfigurator_Job] PRIMARY KEY CLUSTERED  ([PrimKey])
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering [dbo].[t_InterfaceConfigurator_JobLog]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_JobLog] ADD
[Created] [datetime] NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_JobLog_Created] DEFAULT (getdate()),
[CreatedBy] [nvarchar] (128) COLLATE Latin1_General_CI_AS NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_JobLog_CreatedBy] DEFAULT (suser_sname()),
[Updated] [datetime] NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_JobLog_Updated] DEFAULT (getdate()),
[UpdatedBy] [nvarchar] (128) COLLATE Latin1_General_CI_AS NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_JobLog_UpdatedBy] DEFAULT (suser_sname())
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Creating primary key [PK_t_InterfaceConfigurator_JobLog] on [dbo].[t_InterfaceConfigurator_JobLog]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_JobLog] ADD CONSTRAINT [PK_t_InterfaceConfigurator_JobLog] PRIMARY KEY CLUSTERED  ([PrimKey])
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering [dbo].[t_InterfaceConfigurator_Parameter]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_Parameter] ADD
[Created] [datetime] NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_Parameter_Created] DEFAULT (getdate()),
[CreatedBy] [nvarchar] (128) COLLATE Latin1_General_CI_AS NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_Parameter_CreatedBy] DEFAULT (suser_sname()),
[Updated] [datetime] NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_Parameter_Updated] DEFAULT (getdate()),
[UpdatedBy] [nvarchar] (128) COLLATE Latin1_General_CI_AS NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_Parameter_UpdatedBy] DEFAULT (suser_sname())
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Creating primary key [PK_t_InterfaceConfigurator_Parameter] on [dbo].[t_InterfaceConfigurator_Parameter]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_Parameter] ADD CONSTRAINT [PK_t_InterfaceConfigurator_Parameter] PRIMARY KEY CLUSTERED  ([PrimKey])
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering [dbo].[t_InterfaceConfigurator_ParameterValue]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ParameterValue] ADD
[Created] [datetime] NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_ParameterValue_Created] DEFAULT (getdate()),
[CreatedBy] [nvarchar] (128) COLLATE Latin1_General_CI_AS NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_ParameterValue_CreatedBy] DEFAULT (suser_sname()),
[Updated] [datetime] NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_ParameterValue_Updated] DEFAULT (getdate()),
[UpdatedBy] [nvarchar] (128) COLLATE Latin1_General_CI_AS NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_ParameterValue_UpdatedBy] DEFAULT (suser_sname())
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Creating primary key [PK_t_InterfaceConfigurator_ParameterValue] on [dbo].[t_InterfaceConfigurator_ParameterValue]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ParameterValue] ADD CONSTRAINT [PK_t_InterfaceConfigurator_ParameterValue] PRIMARY KEY CLUSTERED  ([PrimKey])
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering [dbo].[t_InterfaceConfigurator_Schedule]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_Schedule] ADD
[Created] [datetime] NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_Schedule_Created] DEFAULT (getdate()),
[CreatedBy] [nvarchar] (128) COLLATE Latin1_General_CI_AS NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_Schedule_CreatedBy] DEFAULT (suser_sname()),
[Updated] [datetime] NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_Schedule_Updated] DEFAULT (getdate()),
[UpdatedBy] [nvarchar] (128) COLLATE Latin1_General_CI_AS NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_Schedule_UpdatedBy] DEFAULT (suser_sname())
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Creating primary key [PK_t_InterfaceConfigurator_Schedule] on [dbo].[t_InterfaceConfigurator_Schedule]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_Schedule] ADD CONSTRAINT [PK_t_InterfaceConfigurator_Schedule] PRIMARY KEY CLUSTERED  ([PrimKey])
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering [dbo].[t_InterfaceConfigurator_ScheduleStep]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ScheduleStep] ADD
[Created] [datetime] NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_ScheduleStep_Created] DEFAULT (getdate()),
[CreatedBy] [nvarchar] (128) COLLATE Latin1_General_CI_AS NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_ScheduleStep_CreatedBy] DEFAULT (suser_sname()),
[Updated] [datetime] NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_ScheduleStep_Updated] DEFAULT (getdate()),
[UpdatedBy] [nvarchar] (128) COLLATE Latin1_General_CI_AS NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_ScheduleStep_UpdatedBy] DEFAULT (suser_sname())
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Creating primary key [PK_t_InterfaceConfigurator_ScheduleStep] on [dbo].[t_InterfaceConfigurator_ScheduleStep]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ScheduleStep] ADD CONSTRAINT [PK_t_InterfaceConfigurator_ScheduleStep] PRIMARY KEY CLUSTERED  ([PrimKey])
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering [dbo].[t_InterfaceConfigurator_ScheduleTime]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ScheduleTime] ADD
[Created] [datetime] NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_ScheduleTime_Created] DEFAULT (getdate()),
[CreatedBy] [nvarchar] (128) COLLATE Latin1_General_CI_AS NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_ScheduleTime_CreatedBy] DEFAULT (suser_sname()),
[Updated] [datetime] NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_ScheduleTime_Updated] DEFAULT (getdate()),
[UpdatedBy] [nvarchar] (128) COLLATE Latin1_General_CI_AS NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_ScheduleTime_UpdatedBy] DEFAULT (suser_sname())
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Creating primary key [PK_t_InterfaceConfigurator_ScheduleTime] on [dbo].[t_InterfaceConfigurator_ScheduleTime]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ScheduleTime] ADD CONSTRAINT [PK_t_InterfaceConfigurator_ScheduleTime] PRIMARY KEY CLUSTERED  ([PrimKey])
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering [dbo].[t_InterfaceConfigurator_Step]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_Step] ADD
[Created] [datetime] NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_Step_Created] DEFAULT (getdate()),
[CreatedBy] [nvarchar] (128) COLLATE Latin1_General_CI_AS NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_Step_CreatedBy] DEFAULT (suser_sname()),
[Updated] [datetime] NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_Step_Updated] DEFAULT (getdate()),
[UpdatedBy] [nvarchar] (128) COLLATE Latin1_General_CI_AS NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_Step_UpdatedBy] DEFAULT (suser_sname())
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Creating primary key [PK_t_InterfaceConfigurator_Step] on [dbo].[t_InterfaceConfigurator_Step]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_Step] ADD CONSTRAINT [PK_t_InterfaceConfigurator_Step] PRIMARY KEY CLUSTERED  ([PrimKey])
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering [dbo].[t_InterfaceConfigurator_StepLog]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_StepLog] ADD
[Created] [datetime] NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_StepLog_Created] DEFAULT (getdate()),
[CreatedBy] [nvarchar] (128) COLLATE Latin1_General_CI_AS NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_StepLog_CreatedBy] DEFAULT (suser_sname()),
[Updated] [datetime] NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_StepLog_Updated] DEFAULT (getdate()),
[UpdatedBy] [nvarchar] (128) COLLATE Latin1_General_CI_AS NOT NULL CONSTRAINT [DF_t_InterfaceConfigurator_StepLog_UpdatedBy] DEFAULT (suser_sname())
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Creating primary key [PK_t_InterfaceConfigurator_StepLog] on [dbo].[t_InterfaceConfigurator_StepLog]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_StepLog] ADD CONSTRAINT [PK_t_InterfaceConfigurator_StepLog] PRIMARY KEY CLUSTERED  ([PrimKey])
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Adding constraints to [dbo].[t_InterfaceConfigurator_AlternativeSourceName]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_AlternativeSourceName] ADD CONSTRAINT [DF_t_InterfaceConfigurator_AlternativeSourceName_PrimKey] DEFAULT (newsequentialid()) FOR [PrimKey]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Adding constraints to [dbo].[t_InterfaceConfigurator_ImportColumn]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ImportColumn] ADD CONSTRAINT [DF_t_InterfaceConfigurator_ImportColumn_ColumnRequired] DEFAULT ((0)) FOR [ColumnRequired]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ImportColumn] ADD CONSTRAINT [DF_t_InterfaceConfigurator_ImportColumn_ValueRequired] DEFAULT ((0)) FOR [ValueRequired]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ImportColumn] ADD CONSTRAINT [DF_t_InterfaceConfigurator_ImportColumn_Trim] DEFAULT ((1)) FOR [Trim]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ImportColumn] ADD CONSTRAINT [DF_t_InterfaceConfigurator_ImportColumn_PrimKey] DEFAULT (newsequentialid()) FOR [PrimKey]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Adding constraints to [dbo].[t_InterfaceConfigurator_ImportConfiguration]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ImportConfiguration] ADD CONSTRAINT [DF_t_InterfaceConfigurator_ImportConfiguration_IncludeIndexInKey] DEFAULT ((0)) FOR [IncludeIndexInKey]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ImportConfiguration] ADD CONSTRAINT [DF_t_InterfaceConfigurator_ImportConfiguration_PrimKey] DEFAULT (newsequentialid()) FOR [PrimKey]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Adding constraints to [dbo].[t_InterfaceConfigurator_ImportLog]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ImportLog] ADD CONSTRAINT [DF_t_InterfaceConfigurator_ImportLog_PrimKey] DEFAULT (newsequentialid()) FOR [PrimKey]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Adding constraints to [dbo].[t_InterfaceConfigurator_JobLog]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_JobLog] ADD CONSTRAINT [DF_t_InterfaceConfigurator_JobLog_PrimKey] DEFAULT (newsequentialid()) FOR [PrimKey]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Adding constraints to [dbo].[t_InterfaceConfigurator_Job]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_Job] ADD CONSTRAINT [DF_t_InterfaceConfigurator_Job_PrimKey1] DEFAULT (newsequentialid()) FOR [PrimKey]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Adding constraints to [dbo].[t_InterfaceConfigurator_Parameter]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_Parameter] ADD CONSTRAINT [DF_t_InterfaceConfigurator_Parameter_PrimKey] DEFAULT (newsequentialid()) FOR [PrimKey]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Adding constraints to [dbo].[t_InterfaceConfigurator_ParameterValue]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ParameterValue] ADD CONSTRAINT [DF_t_InterfaceConfigurator_ParameterValue_PrimKey] DEFAULT (newsequentialid()) FOR [PrimKey]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Adding constraints to [dbo].[t_InterfaceConfigurator_Schedule]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_Schedule] ADD CONSTRAINT [DF_t_InterfaceConfigurator_Schedule_PrimKey] DEFAULT (newsequentialid()) FOR [PrimKey]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Adding constraints to [dbo].[t_InterfaceConfigurator_ScheduleStep]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ScheduleStep] ADD CONSTRAINT [DF_t_InterfaceConfigurator_ScheduleStep_PrimKey] DEFAULT (newsequentialid()) FOR [PrimKey]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Adding constraints to [dbo].[t_InterfaceConfigurator_Step]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_Step] ADD CONSTRAINT [DF_t_InterfaceConfigurator_Step_StopOnError] DEFAULT ((1)) FOR [StopOnError]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_Step] ADD CONSTRAINT [DF_t_InterfaceConfigurator_Step_Enabled] DEFAULT ((1)) FOR [Enabled]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_Step] ADD CONSTRAINT [DF_t_InterfaceConfigurator_Step_PrimKey] DEFAULT (newsequentialid()) FOR [PrimKey]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Adding constraints to [dbo].[t_InterfaceConfigurator_ScheduleTime]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ScheduleTime] ADD CONSTRAINT [DF_t_InterfaceConfigurator_ScheduleTime_PrimKey] DEFAULT (newsequentialid()) FOR [PrimKey]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Adding constraints to [dbo].[t_InterfaceConfigurator_StepLog]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_StepLog] ADD CONSTRAINT [DF_t_InterfaceConfigurator_StepLog_PrimKey] DEFAULT (newsequentialid()) FOR [PrimKey]
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Adding foreign keys to [dbo].[t_InterfaceConfigurator_AlternativeSourceName]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_AlternativeSourceName] ADD CONSTRAINT [r_InterfaceConfigurator_ImportColumn_AlternativeSourceNames] FOREIGN KEY ([ImportColumnRef]) REFERENCES [dbo].[t_InterfaceConfigurator_ImportColumn] ([PrimKey])
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Adding foreign keys to [dbo].[t_InterfaceConfigurator_ImportColumn]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ImportColumn] ADD CONSTRAINT [r_InterfaceConfigurator_ImportConfiguration_Columns] FOREIGN KEY ([ImportConfigurationRef]) REFERENCES [dbo].[t_InterfaceConfigurator_ImportConfiguration] ([PrimKey])
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Adding foreign keys to [dbo].[t_InterfaceConfigurator_ImportLog]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ImportLog] ADD CONSTRAINT [r_InterfaceConfigurator_ImportConfiguration_LogEntries] FOREIGN KEY ([ImportConfigurationRef]) REFERENCES [dbo].[t_InterfaceConfigurator_ImportConfiguration] ([PrimKey])
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Adding foreign keys to [dbo].[t_InterfaceConfigurator_ImportPivot]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ImportPivot] ADD CONSTRAINT [r_InterfaceConfigurator_ImportConfiguration_Pivots] FOREIGN KEY ([ImportConfigurationRef]) REFERENCES [dbo].[t_InterfaceConfigurator_ImportConfiguration] ([PrimKey])
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Adding foreign keys to [dbo].[t_InterfaceConfigurator_StepLog]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_StepLog] ADD CONSTRAINT [r_InterfaceConfigurator_JobLog_StepLogEntries] FOREIGN KEY ([JobLogRef]) REFERENCES [dbo].[t_InterfaceConfigurator_JobLog] ([PrimKey])
ALTER TABLE [dbo].[t_InterfaceConfigurator_StepLog] ADD CONSTRAINT [r_InterfaceConfigurator_Step_LogEntries] FOREIGN KEY ([StepRef]) REFERENCES [dbo].[t_InterfaceConfigurator_Step] ([PrimKey])
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Adding foreign keys to [dbo].[t_InterfaceConfigurator_JobLog]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_JobLog] ADD CONSTRAINT [r_InterfaceConfigurator_Job_LogEntries] FOREIGN KEY ([JobRef]) REFERENCES [dbo].[t_InterfaceConfigurator_Job] ([PrimKey])
ALTER TABLE [dbo].[t_InterfaceConfigurator_JobLog] ADD CONSTRAINT [r_InterfaceConfigurator_Schedule_LogEntries] FOREIGN KEY ([ScheduleRef]) REFERENCES [dbo].[t_InterfaceConfigurator_Schedule] ([PrimKey])
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Adding foreign keys to [dbo].[t_InterfaceConfigurator_Parameter]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_Parameter] ADD CONSTRAINT [r_InterfaceConfigurator_Job_Parameters] FOREIGN KEY ([JobRef]) REFERENCES [dbo].[t_InterfaceConfigurator_Job] ([PrimKey])
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Adding foreign keys to [dbo].[t_InterfaceConfigurator_Schedule]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_Schedule] ADD CONSTRAINT [r_InterfaceConfigurator_Job_Schedules] FOREIGN KEY ([JobRef]) REFERENCES [dbo].[t_InterfaceConfigurator_Job] ([PrimKey])
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Adding foreign keys to [dbo].[t_InterfaceConfigurator_Step]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_Step] ADD CONSTRAINT [r_InterfaceConfigurator_Job_Steps] FOREIGN KEY ([JobRef]) REFERENCES [dbo].[t_InterfaceConfigurator_Job] ([PrimKey])
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Adding foreign keys to [dbo].[t_InterfaceConfigurator_ParameterValue]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ParameterValue] ADD CONSTRAINT [r_InterfaceConfigurator_Parameter_Values] FOREIGN KEY ([ParameterRef]) REFERENCES [dbo].[t_InterfaceConfigurator_Parameter] ([PrimKey])
ALTER TABLE [dbo].[t_InterfaceConfigurator_ParameterValue] ADD CONSTRAINT [r_InterfaceConfigurator_Schedule_ParameterValues] FOREIGN KEY ([ScheduleRef]) REFERENCES [dbo].[t_InterfaceConfigurator_Schedule] ([PrimKey])
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Adding foreign keys to [dbo].[t_InterfaceConfigurator_ScheduleStep]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ScheduleStep] ADD CONSTRAINT [r_InterfaceConfigurator_Schedule_Steps] FOREIGN KEY ([ScheduleRef]) REFERENCES [dbo].[t_InterfaceConfigurator_Schedule] ([PrimKey])
ALTER TABLE [dbo].[t_InterfaceConfigurator_ScheduleStep] ADD CONSTRAINT [r_InterfaceConfigurator_Step_Schedules] FOREIGN KEY ([StepRef]) REFERENCES [dbo].[t_InterfaceConfigurator_Step] ([PrimKey])
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Adding foreign keys to [dbo].[t_InterfaceConfigurator_ScheduleTime]'
GO
ALTER TABLE [dbo].[t_InterfaceConfigurator_ScheduleTime] ADD CONSTRAINT [r_InterfaceConfigurator_Schedule_Times] FOREIGN KEY ([ScheduleRef]) REFERENCES [dbo].[t_InterfaceConfigurator_Schedule] ([PrimKey])
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering permissions on [dbo].[v_InterfaceConfigurator_ImportPivot]'
GO
GRANT SELECT ON  [dbo].[v_InterfaceConfigurator_ImportPivot] TO [public]
GRANT INSERT ON  [dbo].[v_InterfaceConfigurator_ImportPivot] TO [public]
GRANT DELETE ON  [dbo].[v_InterfaceConfigurator_ImportPivot] TO [public]
GRANT UPDATE ON  [dbo].[v_InterfaceConfigurator_ImportPivot] TO [public]
GO
IF EXISTS (SELECT * FROM #tmpErrors) ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT>0 BEGIN
PRINT 'The database update succeeded'
COMMIT TRANSACTION
END
ELSE PRINT 'The database update failed'
GO
DROP TABLE #tmpErrors

