/*
Run this script on:

        PDEV02.PromineoR2_Script_2017_0628    -  This database will be modified

to synchronize it with:

        PDEV02.PromineoR2_Dev

You are recommended to back up your database before running this script

Script created by SQL Compare version 10.4.8 from Red Gate Software Ltd at 28.06.2017 10.24.30

*/
SET NUMERIC_ROUNDABORT OFF
GO
SET ANSI_PADDING, ANSI_WARNINGS, CONCAT_NULL_YIELDS_NULL, ARITHABORT, QUOTED_IDENTIFIER, ANSI_NULLS ON
GO
IF EXISTS (SELECT * FROM tempdb..sysobjects WHERE id=OBJECT_ID('tempdb..#tmpErrors')) DROP TABLE #tmpErrors
GO
CREATE TABLE #tmpErrors (Error int)
GO
SET XACT_ABORT ON
GO
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
GO
BEGIN TRANSACTION
GO
PRINT N'Refreshing [dbo].[v_Security_ErrorLog]'
GO
EXEC sp_refreshview N'[dbo].[v_Security_ErrorLog]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Refreshing [dbo].[v_Security_DataLog]'
GO
EXEC sp_refreshview N'[dbo].[v_Security_DataLog]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Refreshing [dbo].[v_MPP_FormFilter]'
GO
EXEC sp_refreshview N'[dbo].[v_MPP_FormFilter]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Refreshing [dbo].[v_MPP_FormFilterFavorite]'
GO
EXEC sp_refreshview N'[dbo].[v_MPP_FormFilterFavorite]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Refreshing [dbo].[v_MPP_FormLayoutFavorite]'
GO
EXEC sp_refreshview N'[dbo].[v_MPP_FormLayoutFavorite]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering [dbo].[vc_MPP_FormLayoutWithoutLayout]'
GO

ALTER view [dbo].[vc_MPP_FormLayoutWithoutLayout]
as
select 
[Form],
[Type],
[Title],
[Description],
[FormFilterRef],
[OwnerRef],
[PrimKey],
[TimeStamp]
from [t_MPP_FormLayout]

GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Refreshing [dbo].[vc_MPP_FormFilterWithoutFilter]'
GO
EXEC sp_refreshview N'[dbo].[vc_MPP_FormFilterWithoutFilter]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering permissions on [dbo].[v_MPP_FormFilter]'
GO
GRANT SELECT ON  [dbo].[v_MPP_FormFilter] TO [public]
GRANT INSERT ON  [dbo].[v_MPP_FormFilter] TO [public]
GRANT DELETE ON  [dbo].[v_MPP_FormFilter] TO [public]
GRANT UPDATE ON  [dbo].[v_MPP_FormFilter] TO [public]
GO
PRINT N'Altering permissions on [dbo].[v_MPP_FormFilterFavorite]'
GO
GRANT SELECT ON  [dbo].[v_MPP_FormFilterFavorite] TO [public]
GRANT INSERT ON  [dbo].[v_MPP_FormFilterFavorite] TO [public]
GRANT DELETE ON  [dbo].[v_MPP_FormFilterFavorite] TO [public]
GRANT UPDATE ON  [dbo].[v_MPP_FormFilterFavorite] TO [public]
GO
PRINT N'Altering permissions on [dbo].[v_MPP_FormLayoutFavorite]'
GO
GRANT SELECT ON  [dbo].[v_MPP_FormLayoutFavorite] TO [public]
GRANT INSERT ON  [dbo].[v_MPP_FormLayoutFavorite] TO [public]
GRANT DELETE ON  [dbo].[v_MPP_FormLayoutFavorite] TO [public]
GRANT UPDATE ON  [dbo].[v_MPP_FormLayoutFavorite] TO [public]
GO
PRINT N'Altering permissions on [dbo].[vc_MPP_FormFilterWithoutFilter]'
GO
GRANT SELECT ON  [dbo].[vc_MPP_FormFilterWithoutFilter] TO [public]
GRANT INSERT ON  [dbo].[vc_MPP_FormFilterWithoutFilter] TO [public]
GRANT DELETE ON  [dbo].[vc_MPP_FormFilterWithoutFilter] TO [public]
GRANT UPDATE ON  [dbo].[vc_MPP_FormFilterWithoutFilter] TO [public]
GO
IF EXISTS (SELECT * FROM #tmpErrors) ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT>0 BEGIN
PRINT 'The database update succeeded'
COMMIT TRANSACTION
END
ELSE PRINT 'The database update failed'
GO
DROP TABLE #tmpErrors
