/*
Run this script on:
        PDEV02.Promineo20171019    -  This database will be modified
to synchronize it with:
        PDEV02.PromineoR2_Dev
You are recommended to back up your database before running this script
Script created by SQL Compare version 10.7.0 from Red Gate Software Ltd at 19.10.2017 10.01.26
*/
SET NUMERIC_ROUNDABORT OFF
GO
SET ANSI_PADDING, ANSI_WARNINGS, CONCAT_NULL_YIELDS_NULL, ARITHABORT, QUOTED_IDENTIFIER, ANSI_NULLS ON
GO
IF EXISTS (SELECT * FROM tempdb..sysobjects WHERE id=OBJECT_ID('tempdb..#tmpErrors')) DROP TABLE #tmpErrors
GO
CREATE TABLE #tmpErrors (Error int)
GO
SET XACT_ABORT ON
GO
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
GO
BEGIN TRANSACTION
GO
PRINT N'Refreshing [dbo].[vc_Security_MyGroups]'
GO
EXEC sp_refreshview N'[dbo].[vc_Security_MyGroups]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Refreshing [dbo].[vc_Security_MyRoles]'
GO
EXEC sp_refreshview N'[dbo].[vc_Security_MyRoles]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Refreshing [dbo].[v_Security_ErrorLog]'
GO
EXEC sp_refreshview N'[dbo].[v_Security_ErrorLog]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Refreshing [dbo].[v_Security_DataLog]'
GO
EXEC sp_refreshview N'[dbo].[v_Security_DataLog]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering [dbo].[t_Project_ApplicationSetup]'
GO
ALTER TABLE [dbo].[t_Project_ApplicationSetup] ADD
[TwitterUrl] [nvarchar] (200) COLLATE Latin1_General_CI_AS NULL
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Refreshing [dbo].[v_Project_ApplicationSetup]'
GO
EXEC sp_refreshview N'[dbo].[v_Project_ApplicationSetup]'
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering [dbo].[v_Project_PersonValue]'
GO
ALTER VIEW [v_Project_PersonValue]
AS
SELECT * FROM [t_Project_PersonValue] with (nolock)
WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'PersonValue')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 1 = 1
)
)
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[trd_Project_PersonValue] on [dbo].[t_Project_PersonValue]'
GO
ALTER TRIGGER [trd_Project_PersonValue] 
ON [t_Project_PersonValue]
AFTER DELETE
AS
-- Prevent client from seing number of records affected
SET NOCOUNT ON
/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Project_PersonValue WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'PersonValue')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 8 = 8
)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError
/* </PermissionCheck> */
/* <CustomSection> */
/* </CustomSection> */
    GOTO TriggerContinue
TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()
    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [PersonValue] for user [' + @UserName + ']'
    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback
TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd
TriggerContinue:
    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Project_PersonValue', PrimKey, suser_sname(), 'D', getdate()
        FROM deleted
    END
TriggerEnd:
    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Project_PersonValue', 'DELETE', @UserName
        END
    END
   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tri_Project_PersonValue] on [dbo].[t_Project_PersonValue]'
GO
ALTER TRIGGER [tri_Project_PersonValue] 
ON [t_Project_PersonValue]
AFTER INSERT
AS
-- Prevent client from seing number of records affected
SET NOCOUNT ON
/* <PermissionCheck> */
    
IF (SELECT COUNT(*) FROM Inserted t_Project_PersonValue WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'PersonValue')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 4 = 4
)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError
/* </PermissionCheck> */
/* <CustomSection> */
/* </CustomSection> */
    GOTO TriggerContinue
TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()
    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [PersonValue] for user [' + @UserName + ']'
    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback
TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd
TriggerContinue:
    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Project_PersonValue', PrimKey, suser_sname(), 'I', getdate()
        FROM inserted
    END
TriggerEnd:
    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Project_PersonValue', 'INSERT', @UserName
        END
    END
   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tru_Project_PersonValue] on [dbo].[t_Project_PersonValue]'
GO
ALTER TRIGGER [tru_Project_PersonValue] 
ON [t_Project_PersonValue]
AFTER UPDATE
AS
-- Prevent client from seing number of records affected
SET NOCOUNT ON
/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Project_PersonValue WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'PersonValue')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2
)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError
-- Verify rights on inserted record
IF (SELECT COUNT(*) FROM Inserted t_Project_PersonValue WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'PersonValue')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2
)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError
/* </PermissionCheck> */
/* <CustomSection> */
/* </CustomSection> */
    GOTO TriggerContinue
TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()
    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [PersonValue] for user [' + @UserName + ']'
    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback
TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd
TriggerContinue:
    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Project_PersonValue', PrimKey, suser_sname(), 'U', getdate()
        FROM inserted
    END
TriggerEnd:
    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Project_PersonValue', 'UPDATE', @UserName
        END
    END
   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
IF EXISTS (SELECT * FROM #tmpErrors) ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT>0 BEGIN
PRINT 'The database update succeeded'
COMMIT TRANSACTION
END
ELSE PRINT 'The database update failed'
GO
DROP TABLE #tmpErrors
GO

INSERT INTO t_Security_DataAccess(DataAccessTemplateRef, DataGroup, [Role], AccessBits, Pattern, PrimKey)
SELECT DataAccessTemplateRef, 'PersonValue' DataGroup, [Role], AccessBits, Pattern, newid()
FROM t_Security_DataAccess d
WHERE DataGroup = 'Person' AND
NOT EXISTS (SELECT * FROM t_Security_DataAccess x with(nolock) WHERE x.DataGroup = 'PersonValue' AND x.[Role] = d.[Role] AND x.AccessBits = d.AccessBits)
