/*
Run this script on:

        PDEV02.PromineoR2_Test    -  This database will be modified

to synchronize it with:

        pdev02.PromineoR2_Dev

You are recommended to back up your database before running this script

Script created by SQL Compare version 10.4.8 from Red Gate Software Ltd at 07/12/2016 22:11:01

*/
SET NUMERIC_ROUNDABORT OFF
GO
SET ANSI_PADDING, ANSI_WARNINGS, CONCAT_NULL_YIELDS_NULL, ARITHABORT, QUOTED_IDENTIFIER, ANSI_NULLS ON
GO
IF EXISTS (SELECT * FROM tempdb..sysobjects WHERE id=OBJECT_ID('tempdb..#tmpErrors')) DROP TABLE #tmpErrors
GO
CREATE TABLE #tmpErrors (Error int)
GO
SET XACT_ABORT ON
GO
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
GO
BEGIN TRANSACTION
GO
PRINT N'Altering trigger [dbo].[trd_MPP_ProjectPositionLoad] on [dbo].[t_MPP_ProjectPositionLoad]'
GO

ALTER TRIGGER [dbo].[trd_MPP_ProjectPositionLoad] 
ON [dbo].[t_MPP_ProjectPositionLoad]
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_MPP_ProjectPositionLoad WHERE (
EXISTS
(
    -- User has access to parent record
	SELECT * FROM t_MPP_ProjectPosition with (nolock)
	WHERE [t_MPP_ProjectPositionLoad].[ProjectPositionRef] = [t_MPP_ProjectPosition].[PrimKey]
    AND 
    (
        IS_MEMBER('db_owner') = 1 OR
			EXISTS (
				SELECT * FROM t_Security_ProjectRights r
				JOIN vc_Security_MyRoles m On r.[Group] = m.name
				JOIN t_Project_Project p On r.ProjectRef = p.PrimKey
				JOIN t_Project_ProjectRevision pr On p.PrimKey = pr.ProjectRef
				WHERE	pr.PrimKey = t_MPP_ProjectPosition.ProjectRevisionRef And
						r.Rights & 2 = 2
					)
    )
)
OR NOT EXISTS
(
    -- Or, parent record was already deleted
    SELECT * FROM t_MPP_ProjectPosition with (nolock)
    WHERE [t_MPP_ProjectPositionLoad].[ProjectPositionRef] = [t_MPP_ProjectPosition].[PrimKey]
)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [ProjectRights] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_MPP_ProjectPositionLoad', PrimKey, suser_sname(), 'D', getdate()
        FROM deleted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_MPP_ProjectPositionLoad', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tri_MPP_ProjectPositionLoad] on [dbo].[t_MPP_ProjectPositionLoad]'
GO

ALTER TRIGGER [dbo].[tri_MPP_ProjectPositionLoad] 
ON [dbo].[t_MPP_ProjectPositionLoad]
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
IF (SELECT COUNT(*) FROM Inserted t_MPP_ProjectPositionLoad WHERE (
EXISTS
(
    -- User has access to parent record
	SELECT * FROM t_MPP_ProjectPosition with (nolock)
	WHERE [t_MPP_ProjectPositionLoad].[ProjectPositionRef] = [t_MPP_ProjectPosition].[PrimKey]
    AND 
    (
        IS_MEMBER('db_owner') = 1 OR
			EXISTS (
				SELECT * FROM t_Security_ProjectRights r
				JOIN vc_Security_MyRoles m On r.[Group] = m.name
				JOIN t_Project_Project p On r.ProjectRef = p.PrimKey
				JOIN t_Project_ProjectRevision pr On p.PrimKey = pr.ProjectRef
				WHERE	pr.PrimKey = t_MPP_ProjectPosition.ProjectRevisionRef And
						r.Rights & 2 = 2
					)
    )
)
OR NOT EXISTS
(
    -- Or, parent record was already deleted
    SELECT * FROM t_MPP_ProjectPosition with (nolock)
    WHERE [t_MPP_ProjectPositionLoad].[ProjectPositionRef] = [t_MPP_ProjectPosition].[PrimKey]
)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [ProjectRights] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_MPP_ProjectPositionLoad', PrimKey, suser_sname(), 'I', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_MPP_ProjectPositionLoad', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tru_MPP_ProjectPositionLoad] on [dbo].[t_MPP_ProjectPositionLoad]'
GO

ALTER TRIGGER [dbo].[tru_MPP_ProjectPositionLoad] 
ON [dbo].[t_MPP_ProjectPositionLoad]
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_MPP_ProjectPositionLoad WHERE (
EXISTS
(
    -- User has access to parent record
	SELECT * FROM t_MPP_ProjectPosition with (nolock)
	WHERE [t_MPP_ProjectPositionLoad].[ProjectPositionRef] = [t_MPP_ProjectPosition].[PrimKey]
    AND 
    (
        IS_MEMBER('db_owner') = 1 OR
			EXISTS (
				SELECT * FROM t_Security_ProjectRights r
				JOIN vc_Security_MyRoles m On r.[Group] = m.name
				JOIN t_Project_Project p On r.ProjectRef = p.PrimKey
				JOIN t_Project_ProjectRevision pr On p.PrimKey = pr.ProjectRef
				WHERE	pr.PrimKey = t_MPP_ProjectPosition.ProjectRevisionRef And
						r.Rights & 2 = 2
					)
    )
)
OR NOT EXISTS
(
    -- Or, parent record was already deleted
    SELECT * FROM t_MPP_ProjectPosition with (nolock)
    WHERE [t_MPP_ProjectPositionLoad].[ProjectPositionRef] = [t_MPP_ProjectPosition].[PrimKey]
)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

-- Verify rights on inserted record
IF (SELECT COUNT(*) FROM Inserted t_MPP_ProjectPositionLoad WHERE (
EXISTS
(
    -- User has access to parent record
	SELECT * FROM t_MPP_ProjectPosition with (nolock)
	WHERE [t_MPP_ProjectPositionLoad].[ProjectPositionRef] = [t_MPP_ProjectPosition].[PrimKey]
    AND 
    (
        IS_MEMBER('db_owner') = 1 OR
			EXISTS (
				SELECT * FROM t_Security_ProjectRights r
				JOIN vc_Security_MyRoles m On r.[Group] = m.name
				JOIN t_Project_Project p On r.ProjectRef = p.PrimKey
				JOIN t_Project_ProjectRevision pr On p.PrimKey = pr.ProjectRef
				WHERE	pr.PrimKey = t_MPP_ProjectPosition.ProjectRevisionRef And
						r.Rights & 2 = 2
					)
    )
)
OR NOT EXISTS
(
    -- Or, parent record was already deleted
    SELECT * FROM t_MPP_ProjectPosition with (nolock)
    WHERE [t_MPP_ProjectPositionLoad].[ProjectPositionRef] = [t_MPP_ProjectPosition].[PrimKey]
)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [ProjectRights] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_MPP_ProjectPositionLoad', PrimKey, suser_sname(), 'U', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_MPP_ProjectPositionLoad', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[trd_MPP_ProjectPosition] on [dbo].[t_MPP_ProjectPosition]'
GO

ALTER TRIGGER [dbo].[trd_MPP_ProjectPosition] 
ON [dbo].[t_MPP_ProjectPosition]
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_MPP_ProjectPosition WHERE (IS_MEMBER('db_owner') = 1 OR
			EXISTS (
				SELECT * FROM t_Security_ProjectRights r
				JOIN vc_Security_MyRoles m On r.[Group] = m.name
				JOIN t_Project_Project p On r.ProjectRef = p.PrimKey
				JOIN t_Project_ProjectRevision pr On p.PrimKey = pr.ProjectRef
				WHERE	pr.PrimKey = t_MPP_ProjectPosition.ProjectRevisionRef And
						r.Rights & 2 = 2
					))) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [ProjectRights] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_MPP_ProjectPosition', PrimKey, suser_sname(), 'D', getdate()
        FROM deleted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_MPP_ProjectPosition', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tri_MPP_ProjectPosition] on [dbo].[t_MPP_ProjectPosition]'
GO

ALTER TRIGGER [dbo].[tri_MPP_ProjectPosition] 
ON [dbo].[t_MPP_ProjectPosition]
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
IF (SELECT COUNT(*) FROM Inserted t_MPP_ProjectPosition WHERE (IS_MEMBER('db_owner') = 1 OR
			EXISTS (
				SELECT * FROM t_Security_ProjectRights r
				JOIN vc_Security_MyRoles m On r.[Group] = m.name
				JOIN t_Project_Project p On r.ProjectRef = p.PrimKey
				JOIN t_Project_ProjectRevision pr On p.PrimKey = pr.ProjectRef
				WHERE	pr.PrimKey = t_MPP_ProjectPosition.ProjectRevisionRef And
						r.Rights & 2 = 2
					))) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

	DECLARE @Max AS INT
	SET @Max = ISNULL(
		(SELECT Max(PP.PositionID) 
		FROM [t_MPP_ProjectPosition] PP), 100000)

	DECLARE @T TABLE(ID INT IDENTITY(1,1), PrimKey UNIQUEIDENTIFIER)
	INSERT INTO @T(PrimKey)
	SELECT PrimKey
	FROM inserted WHERE inserted.PositionID IS NULL

	UPDATE PP
	SET PositionID = T.ID + @Max
	FROM [t_MPP_ProjectPosition] PP
		JOIN @T T ON T.PrimKey = PP.PrimKey
/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [ProjectRights] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_MPP_ProjectPosition', PrimKey, suser_sname(), 'I', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_MPP_ProjectPosition', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tru_MPP_ProjectPosition] on [dbo].[t_MPP_ProjectPosition]'
GO

ALTER TRIGGER [dbo].[tru_MPP_ProjectPosition] 
ON [dbo].[t_MPP_ProjectPosition]
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_MPP_ProjectPosition WHERE (IS_MEMBER('db_owner') = 1 OR
			EXISTS (
				SELECT * FROM t_Security_ProjectRights r
				JOIN vc_Security_MyRoles m On r.[Group] = m.name
				JOIN t_Project_Project p On r.ProjectRef = p.PrimKey
				JOIN t_Project_ProjectRevision pr On p.PrimKey = pr.ProjectRef
				WHERE	pr.PrimKey = t_MPP_ProjectPosition.ProjectRevisionRef And
						r.Rights & 2 = 2
					))) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

-- Verify rights on inserted record
IF (SELECT COUNT(*) FROM Inserted t_MPP_ProjectPosition WHERE (IS_MEMBER('db_owner') = 1 OR
			EXISTS (
				SELECT * FROM t_Security_ProjectRights r
				JOIN vc_Security_MyRoles m On r.[Group] = m.name
				JOIN t_Project_Project p On r.ProjectRef = p.PrimKey
				JOIN t_Project_ProjectRevision pr On p.PrimKey = pr.ProjectRef
				WHERE	pr.PrimKey = t_MPP_ProjectPosition.ProjectRevisionRef And
						r.Rights & 2 = 2
					))) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

	-- If trying to update PositionID to NULL, keep the old value
	UPDATE PP
	SET PositionID = d.PositionID
	FROM [t_MPP_ProjectPosition] PP
		JOIN deleted d ON d.PrimKey = PP.PrimKey
		JOiN inserted i on i.PrimKey = PP.PrimKey
	WHERE i.PositionID IS NULL
/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [ProjectRights] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_MPP_ProjectPosition', PrimKey, suser_sname(), 'U', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_MPP_ProjectPosition', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[trd_MPP_ProjectPositionValue] on [dbo].[t_MPP_ProjectPositionValue]'
GO

ALTER TRIGGER [dbo].[trd_MPP_ProjectPositionValue] 
ON [dbo].[t_MPP_ProjectPositionValue]
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_MPP_ProjectPositionValue WHERE (
EXISTS
(
    -- User has access to parent record
	SELECT * FROM t_MPP_ProjectPosition with (nolock)
	WHERE [t_MPP_ProjectPositionValue].[ProjectPositionRef] = [t_MPP_ProjectPosition].[PrimKey]
    AND 
    (
        IS_MEMBER('db_owner') = 1 OR
			EXISTS (
				SELECT * FROM t_Security_ProjectRights r
				JOIN vc_Security_MyRoles m On r.[Group] = m.name
				JOIN t_Project_Project p On r.ProjectRef = p.PrimKey
				JOIN t_Project_ProjectRevision pr On p.PrimKey = pr.ProjectRef
				WHERE	pr.PrimKey = t_MPP_ProjectPosition.ProjectRevisionRef And
						r.Rights & 2 = 2
					)
    )
)
OR NOT EXISTS
(
    -- Or, parent record was already deleted
    SELECT * FROM t_MPP_ProjectPosition with (nolock)
    WHERE [t_MPP_ProjectPositionValue].[ProjectPositionRef] = [t_MPP_ProjectPosition].[PrimKey]
)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [ProjectRights] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_MPP_ProjectPositionValue', PrimKey, suser_sname(), 'D', getdate()
        FROM deleted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_MPP_ProjectPositionValue', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tri_MPP_ProjectPositionValue] on [dbo].[t_MPP_ProjectPositionValue]'
GO

ALTER TRIGGER [dbo].[tri_MPP_ProjectPositionValue] 
ON [dbo].[t_MPP_ProjectPositionValue]
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
IF (SELECT COUNT(*) FROM Inserted t_MPP_ProjectPositionValue WHERE (
EXISTS
(
    -- User has access to parent record
	SELECT * FROM t_MPP_ProjectPosition with (nolock)
	WHERE [t_MPP_ProjectPositionValue].[ProjectPositionRef] = [t_MPP_ProjectPosition].[PrimKey]
    AND 
    (
        IS_MEMBER('db_owner') = 1 OR
			EXISTS (
				SELECT * FROM t_Security_ProjectRights r
				JOIN vc_Security_MyRoles m On r.[Group] = m.name
				JOIN t_Project_Project p On r.ProjectRef = p.PrimKey
				JOIN t_Project_ProjectRevision pr On p.PrimKey = pr.ProjectRef
				WHERE	pr.PrimKey = t_MPP_ProjectPosition.ProjectRevisionRef And
						r.Rights & 2 = 2
					)
    )
)
OR NOT EXISTS
(
    -- Or, parent record was already deleted
    SELECT * FROM t_MPP_ProjectPosition with (nolock)
    WHERE [t_MPP_ProjectPositionValue].[ProjectPositionRef] = [t_MPP_ProjectPosition].[PrimKey]
)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [ProjectRights] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_MPP_ProjectPositionValue', PrimKey, suser_sname(), 'I', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_MPP_ProjectPositionValue', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tru_MPP_ProjectPositionValue] on [dbo].[t_MPP_ProjectPositionValue]'
GO

ALTER TRIGGER [dbo].[tru_MPP_ProjectPositionValue] 
ON [dbo].[t_MPP_ProjectPositionValue]
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_MPP_ProjectPositionValue WHERE (
EXISTS
(
    -- User has access to parent record
	SELECT * FROM t_MPP_ProjectPosition with (nolock)
	WHERE [t_MPP_ProjectPositionValue].[ProjectPositionRef] = [t_MPP_ProjectPosition].[PrimKey]
    AND 
    (
        IS_MEMBER('db_owner') = 1 OR
			EXISTS (
				SELECT * FROM t_Security_ProjectRights r
				JOIN vc_Security_MyRoles m On r.[Group] = m.name
				JOIN t_Project_Project p On r.ProjectRef = p.PrimKey
				JOIN t_Project_ProjectRevision pr On p.PrimKey = pr.ProjectRef
				WHERE	pr.PrimKey = t_MPP_ProjectPosition.ProjectRevisionRef And
						r.Rights & 2 = 2
					)
    )
)
OR NOT EXISTS
(
    -- Or, parent record was already deleted
    SELECT * FROM t_MPP_ProjectPosition with (nolock)
    WHERE [t_MPP_ProjectPositionValue].[ProjectPositionRef] = [t_MPP_ProjectPosition].[PrimKey]
)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

-- Verify rights on inserted record
IF (SELECT COUNT(*) FROM Inserted t_MPP_ProjectPositionValue WHERE (
EXISTS
(
    -- User has access to parent record
	SELECT * FROM t_MPP_ProjectPosition with (nolock)
	WHERE [t_MPP_ProjectPositionValue].[ProjectPositionRef] = [t_MPP_ProjectPosition].[PrimKey]
    AND 
    (
        IS_MEMBER('db_owner') = 1 OR
			EXISTS (
				SELECT * FROM t_Security_ProjectRights r
				JOIN vc_Security_MyRoles m On r.[Group] = m.name
				JOIN t_Project_Project p On r.ProjectRef = p.PrimKey
				JOIN t_Project_ProjectRevision pr On p.PrimKey = pr.ProjectRef
				WHERE	pr.PrimKey = t_MPP_ProjectPosition.ProjectRevisionRef And
						r.Rights & 2 = 2
					)
    )
)
OR NOT EXISTS
(
    -- Or, parent record was already deleted
    SELECT * FROM t_MPP_ProjectPosition with (nolock)
    WHERE [t_MPP_ProjectPositionValue].[ProjectPositionRef] = [t_MPP_ProjectPosition].[PrimKey]
)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [ProjectRights] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_MPP_ProjectPositionValue', PrimKey, suser_sname(), 'U', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_MPP_ProjectPositionValue', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[trd_Project_PersonAvailability] on [dbo].[t_Project_PersonAvailability]'
GO

ALTER TRIGGER [dbo].[trd_Project_PersonAvailability] 
ON [dbo].[t_Project_PersonAvailability]
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Project_PersonAvailability WHERE (
EXISTS
(
    -- User has access to parent record
	SELECT * FROM t_Project_Person with (nolock)
	WHERE [t_Project_PersonAvailability].[PersonRef] = [t_Project_Person].[PrimKey]
    AND 
    (
        IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Person')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2
)
    )
)
OR NOT EXISTS
(
    -- Or, parent record was already deleted
    SELECT * FROM t_Project_Person with (nolock)
    WHERE [t_Project_PersonAvailability].[PersonRef] = [t_Project_Person].[PrimKey]
)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [Person] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Project_PersonAvailability', PrimKey, suser_sname(), 'D', getdate()
        FROM deleted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Project_PersonAvailability', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tri_Project_PersonAvailability] on [dbo].[t_Project_PersonAvailability]'
GO

ALTER TRIGGER [dbo].[tri_Project_PersonAvailability] 
ON [dbo].[t_Project_PersonAvailability]
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
IF (SELECT COUNT(*) FROM Inserted t_Project_PersonAvailability WHERE (
EXISTS
(
    -- User has access to parent record
	SELECT * FROM t_Project_Person with (nolock)
	WHERE [t_Project_PersonAvailability].[PersonRef] = [t_Project_Person].[PrimKey]
    AND 
    (
        IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Person')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2
)
    )
)
OR NOT EXISTS
(
    -- Or, parent record was already deleted
    SELECT * FROM t_Project_Person with (nolock)
    WHERE [t_Project_PersonAvailability].[PersonRef] = [t_Project_Person].[PrimKey]
)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [Person] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Project_PersonAvailability', PrimKey, suser_sname(), 'I', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Project_PersonAvailability', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tru_Project_PersonAvailability] on [dbo].[t_Project_PersonAvailability]'
GO

ALTER TRIGGER [dbo].[tru_Project_PersonAvailability] 
ON [dbo].[t_Project_PersonAvailability]
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Project_PersonAvailability WHERE (
EXISTS
(
    -- User has access to parent record
	SELECT * FROM t_Project_Person with (nolock)
	WHERE [t_Project_PersonAvailability].[PersonRef] = [t_Project_Person].[PrimKey]
    AND 
    (
        IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Person')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2
)
    )
)
OR NOT EXISTS
(
    -- Or, parent record was already deleted
    SELECT * FROM t_Project_Person with (nolock)
    WHERE [t_Project_PersonAvailability].[PersonRef] = [t_Project_Person].[PrimKey]
)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

-- Verify rights on inserted record
IF (SELECT COUNT(*) FROM Inserted t_Project_PersonAvailability WHERE (
EXISTS
(
    -- User has access to parent record
	SELECT * FROM t_Project_Person with (nolock)
	WHERE [t_Project_PersonAvailability].[PersonRef] = [t_Project_Person].[PrimKey]
    AND 
    (
        IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Person')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2
)
    )
)
OR NOT EXISTS
(
    -- Or, parent record was already deleted
    SELECT * FROM t_Project_Person with (nolock)
    WHERE [t_Project_PersonAvailability].[PersonRef] = [t_Project_Person].[PrimKey]
)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [Person] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Project_PersonAvailability', PrimKey, suser_sname(), 'U', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Project_PersonAvailability', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[trd_Project_PersonAvailabilityException] on [dbo].[t_Project_PersonAvailabilityException]'
GO

ALTER TRIGGER [dbo].[trd_Project_PersonAvailabilityException] 
ON [dbo].[t_Project_PersonAvailabilityException]
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Project_PersonAvailabilityException WHERE (
EXISTS
(
    -- User has access to parent record
	SELECT * FROM t_Project_Person with (nolock)
	WHERE [t_Project_PersonAvailabilityException].[PersonRef] = [t_Project_Person].[PrimKey]
    AND 
    (
        IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Person')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2
)
    )
)
OR NOT EXISTS
(
    -- Or, parent record was already deleted
    SELECT * FROM t_Project_Person with (nolock)
    WHERE [t_Project_PersonAvailabilityException].[PersonRef] = [t_Project_Person].[PrimKey]
)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [Person] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Project_PersonAvailabilityException', PrimKey, suser_sname(), 'D', getdate()
        FROM deleted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Project_PersonAvailabilityException', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tri_Project_PersonAvailabilityException] on [dbo].[t_Project_PersonAvailabilityException]'
GO

ALTER TRIGGER [dbo].[tri_Project_PersonAvailabilityException] 
ON [dbo].[t_Project_PersonAvailabilityException]
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
IF (SELECT COUNT(*) FROM Inserted t_Project_PersonAvailabilityException WHERE (
EXISTS
(
    -- User has access to parent record
	SELECT * FROM t_Project_Person with (nolock)
	WHERE [t_Project_PersonAvailabilityException].[PersonRef] = [t_Project_Person].[PrimKey]
    AND 
    (
        IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Person')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2
)
    )
)
OR NOT EXISTS
(
    -- Or, parent record was already deleted
    SELECT * FROM t_Project_Person with (nolock)
    WHERE [t_Project_PersonAvailabilityException].[PersonRef] = [t_Project_Person].[PrimKey]
)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [Person] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Project_PersonAvailabilityException', PrimKey, suser_sname(), 'I', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Project_PersonAvailabilityException', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tru_Project_PersonAvailabilityException] on [dbo].[t_Project_PersonAvailabilityException]'
GO

ALTER TRIGGER [dbo].[tru_Project_PersonAvailabilityException] 
ON [dbo].[t_Project_PersonAvailabilityException]
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Project_PersonAvailabilityException WHERE (
EXISTS
(
    -- User has access to parent record
	SELECT * FROM t_Project_Person with (nolock)
	WHERE [t_Project_PersonAvailabilityException].[PersonRef] = [t_Project_Person].[PrimKey]
    AND 
    (
        IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Person')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2
)
    )
)
OR NOT EXISTS
(
    -- Or, parent record was already deleted
    SELECT * FROM t_Project_Person with (nolock)
    WHERE [t_Project_PersonAvailabilityException].[PersonRef] = [t_Project_Person].[PrimKey]
)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

-- Verify rights on inserted record
IF (SELECT COUNT(*) FROM Inserted t_Project_PersonAvailabilityException WHERE (
EXISTS
(
    -- User has access to parent record
	SELECT * FROM t_Project_Person with (nolock)
	WHERE [t_Project_PersonAvailabilityException].[PersonRef] = [t_Project_Person].[PrimKey]
    AND 
    (
        IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Person')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2
)
    )
)
OR NOT EXISTS
(
    -- Or, parent record was already deleted
    SELECT * FROM t_Project_Person with (nolock)
    WHERE [t_Project_PersonAvailabilityException].[PersonRef] = [t_Project_Person].[PrimKey]
)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [Person] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Project_PersonAvailabilityException', PrimKey, suser_sname(), 'U', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Project_PersonAvailabilityException', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[trd_Project_PersonValue] on [dbo].[t_Project_PersonValue]'
GO

ALTER TRIGGER [dbo].[trd_Project_PersonValue] 
ON [dbo].[t_Project_PersonValue]
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Project_PersonValue WHERE (
EXISTS
(
    -- User has access to parent record
	SELECT * FROM t_Project_Person with (nolock)
	WHERE [t_Project_PersonValue].[PersonRef] = [t_Project_Person].[PrimKey]
    AND 
    (
        IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Person')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2
)
    )
)
OR NOT EXISTS
(
    -- Or, parent record was already deleted
    SELECT * FROM t_Project_Person with (nolock)
    WHERE [t_Project_PersonValue].[PersonRef] = [t_Project_Person].[PrimKey]
)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [Person] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Project_PersonValue', PrimKey, suser_sname(), 'D', getdate()
        FROM deleted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Project_PersonValue', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tri_Project_PersonValue] on [dbo].[t_Project_PersonValue]'
GO

ALTER TRIGGER [dbo].[tri_Project_PersonValue] 
ON [dbo].[t_Project_PersonValue]
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
IF (SELECT COUNT(*) FROM Inserted t_Project_PersonValue WHERE (
EXISTS
(
    -- User has access to parent record
	SELECT * FROM t_Project_Person with (nolock)
	WHERE [t_Project_PersonValue].[PersonRef] = [t_Project_Person].[PrimKey]
    AND 
    (
        IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Person')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2
)
    )
)
OR NOT EXISTS
(
    -- Or, parent record was already deleted
    SELECT * FROM t_Project_Person with (nolock)
    WHERE [t_Project_PersonValue].[PersonRef] = [t_Project_Person].[PrimKey]
)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [Person] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Project_PersonValue', PrimKey, suser_sname(), 'I', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Project_PersonValue', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tru_Project_PersonValue] on [dbo].[t_Project_PersonValue]'
GO

ALTER TRIGGER [dbo].[tru_Project_PersonValue] 
ON [dbo].[t_Project_PersonValue]
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Project_PersonValue WHERE (
EXISTS
(
    -- User has access to parent record
	SELECT * FROM t_Project_Person with (nolock)
	WHERE [t_Project_PersonValue].[PersonRef] = [t_Project_Person].[PrimKey]
    AND 
    (
        IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Person')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2
)
    )
)
OR NOT EXISTS
(
    -- Or, parent record was already deleted
    SELECT * FROM t_Project_Person with (nolock)
    WHERE [t_Project_PersonValue].[PersonRef] = [t_Project_Person].[PrimKey]
)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

-- Verify rights on inserted record
IF (SELECT COUNT(*) FROM Inserted t_Project_PersonValue WHERE (
EXISTS
(
    -- User has access to parent record
	SELECT * FROM t_Project_Person with (nolock)
	WHERE [t_Project_PersonValue].[PersonRef] = [t_Project_Person].[PrimKey]
    AND 
    (
        IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Person')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2
)
    )
)
OR NOT EXISTS
(
    -- Or, parent record was already deleted
    SELECT * FROM t_Project_Person with (nolock)
    WHERE [t_Project_PersonValue].[PersonRef] = [t_Project_Person].[PrimKey]
)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [Person] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Project_PersonValue', PrimKey, suser_sname(), 'U', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Project_PersonValue', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[trd_Project_ProjectRevision] on [dbo].[t_Project_ProjectRevision]'
GO

ALTER TRIGGER [dbo].[trd_Project_ProjectRevision] 
ON [dbo].[t_Project_ProjectRevision]
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Project_ProjectRevision WHERE (
EXISTS
(
    -- User has access to parent record
	SELECT * FROM t_Project_Project with (nolock)
	WHERE [t_Project_ProjectRevision].[ProjectRef] = [t_Project_Project].[PrimKey]
    AND 
    (
        IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Project')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2
)
    )
)
OR NOT EXISTS
(
    -- Or, parent record was already deleted
    SELECT * FROM t_Project_Project with (nolock)
    WHERE [t_Project_ProjectRevision].[ProjectRef] = [t_Project_Project].[PrimKey]
)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [Project] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Project_ProjectRevision', PrimKey, suser_sname(), 'D', getdate()
        FROM deleted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Project_ProjectRevision', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tri_Project_ProjectRevision] on [dbo].[t_Project_ProjectRevision]'
GO

ALTER TRIGGER [dbo].[tri_Project_ProjectRevision] 
ON [dbo].[t_Project_ProjectRevision]
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
IF (SELECT COUNT(*) FROM Inserted t_Project_ProjectRevision WHERE (
EXISTS
(
    -- User has access to parent record
	SELECT * FROM t_Project_Project with (nolock)
	WHERE [t_Project_ProjectRevision].[ProjectRef] = [t_Project_Project].[PrimKey]
    AND 
    (
        IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Project')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2
)
    )
)
OR NOT EXISTS
(
    -- Or, parent record was already deleted
    SELECT * FROM t_Project_Project with (nolock)
    WHERE [t_Project_ProjectRevision].[ProjectRef] = [t_Project_Project].[PrimKey]
)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [Project] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Project_ProjectRevision', PrimKey, suser_sname(), 'I', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Project_ProjectRevision', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tru_Project_ProjectRevision] on [dbo].[t_Project_ProjectRevision]'
GO

ALTER TRIGGER [dbo].[tru_Project_ProjectRevision] 
ON [dbo].[t_Project_ProjectRevision]
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Project_ProjectRevision WHERE (
EXISTS
(
    -- User has access to parent record
	SELECT * FROM t_Project_Project with (nolock)
	WHERE [t_Project_ProjectRevision].[ProjectRef] = [t_Project_Project].[PrimKey]
    AND 
    (
        IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Project')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2
)
    )
)
OR NOT EXISTS
(
    -- Or, parent record was already deleted
    SELECT * FROM t_Project_Project with (nolock)
    WHERE [t_Project_ProjectRevision].[ProjectRef] = [t_Project_Project].[PrimKey]
)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

-- Verify rights on inserted record
IF (SELECT COUNT(*) FROM Inserted t_Project_ProjectRevision WHERE (
EXISTS
(
    -- User has access to parent record
	SELECT * FROM t_Project_Project with (nolock)
	WHERE [t_Project_ProjectRevision].[ProjectRef] = [t_Project_Project].[PrimKey]
    AND 
    (
        IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Project')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2
)
    )
)
OR NOT EXISTS
(
    -- Or, parent record was already deleted
    SELECT * FROM t_Project_Project with (nolock)
    WHERE [t_Project_ProjectRevision].[ProjectRef] = [t_Project_Project].[PrimKey]
)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [Project] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Project_ProjectRevision', PrimKey, suser_sname(), 'U', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Project_ProjectRevision', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[trd_Project_SelectedProject] on [dbo].[t_Project_SelectedProject]'
GO

ALTER TRIGGER [dbo].[trd_Project_SelectedProject] 
ON [dbo].[t_Project_SelectedProject]
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Project_SelectedProject', PrimKey, suser_sname(), 'D', getdate()
        FROM deleted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Project_SelectedProject', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tri_Project_SelectedProject] on [dbo].[t_Project_SelectedProject]'
GO

ALTER TRIGGER [dbo].[tri_Project_SelectedProject] 
ON [dbo].[t_Project_SelectedProject]
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Project_SelectedProject', PrimKey, suser_sname(), 'I', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Project_SelectedProject', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tru_Project_SelectedProject] on [dbo].[t_Project_SelectedProject]'
GO

ALTER TRIGGER [dbo].[tru_Project_SelectedProject] 
ON [dbo].[t_Project_SelectedProject]
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Project_SelectedProject', PrimKey, suser_sname(), 'U', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Project_SelectedProject', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[trd_Project_Project] on [dbo].[t_Project_Project]'
GO

ALTER TRIGGER [dbo].[trd_Project_Project] 
ON [dbo].[t_Project_Project]
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Project_Project WHERE (IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Project')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 8 = 8
))) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [Project] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Project_Project', PrimKey, suser_sname(), 'D', getdate()
        FROM deleted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Project_Project', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tri_Project_Project] on [dbo].[t_Project_Project]'
GO

ALTER TRIGGER [dbo].[tri_Project_Project] 
ON [dbo].[t_Project_Project]
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
IF (SELECT COUNT(*) FROM Inserted t_Project_Project WHERE (IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Project')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 4 = 4
))) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [Project] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Project_Project', PrimKey, suser_sname(), 'I', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Project_Project', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tru_Project_Project] on [dbo].[t_Project_Project]'
GO

ALTER TRIGGER [dbo].[tru_Project_Project] 
ON [dbo].[t_Project_Project]
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Project_Project WHERE (IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Project')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2
))) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

-- Verify rights on inserted record
IF (SELECT COUNT(*) FROM Inserted t_Project_Project WHERE (IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Project')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2
))) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [Project] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Project_Project', PrimKey, suser_sname(), 'U', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Project_Project', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[trd_Project_Person] on [dbo].[t_Project_Person]'
GO

ALTER TRIGGER [dbo].[trd_Project_Person] 
ON [dbo].[t_Project_Person]
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Project_Person WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Person')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 8 = 8
)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [Person] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Project_Person', PrimKey, suser_sname(), 'D', getdate()
        FROM deleted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Project_Person', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tri_Project_Person] on [dbo].[t_Project_Person]'
GO

ALTER TRIGGER [dbo].[tri_Project_Person] 
ON [dbo].[t_Project_Person]
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
IF (SELECT COUNT(*) FROM Inserted t_Project_Person WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Person')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 4 = 4
)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [Person] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Project_Person', PrimKey, suser_sname(), 'I', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Project_Person', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tru_Project_Person] on [dbo].[t_Project_Person]'
GO

ALTER TRIGGER [dbo].[tru_Project_Person] 
ON [dbo].[t_Project_Person]
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Project_Person WHERE (IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Person')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2
))) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

-- Verify rights on inserted record
IF (SELECT COUNT(*) FROM Inserted t_Project_Person WHERE (IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Person')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2
))) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [Person] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Project_Person', PrimKey, suser_sname(), 'U', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Project_Person', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[trd_Reporting_DataSourceFilter] on [dbo].[t_Reporting_DataSourceFilter]'
GO

ALTER TRIGGER [dbo].[trd_Reporting_DataSourceFilter] 
ON [dbo].[t_Reporting_DataSourceFilter]
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Reporting_DataSourceFilter WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 8 = 8

)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [Reporting] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Reporting_DataSourceFilter', PrimKey, suser_sname(), 'D', getdate()
        FROM deleted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Reporting_DataSourceFilter', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tri_Reporting_DataSourceFilter] on [dbo].[t_Reporting_DataSourceFilter]'
GO

ALTER TRIGGER [dbo].[tri_Reporting_DataSourceFilter] 
ON [dbo].[t_Reporting_DataSourceFilter]
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
IF (SELECT COUNT(*) FROM Inserted t_Reporting_DataSourceFilter WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 4 = 4

)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [Reporting] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Reporting_DataSourceFilter', PrimKey, suser_sname(), 'I', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Reporting_DataSourceFilter', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tru_Reporting_DataSourceFilter] on [dbo].[t_Reporting_DataSourceFilter]'
GO

ALTER TRIGGER [dbo].[tru_Reporting_DataSourceFilter] 
ON [dbo].[t_Reporting_DataSourceFilter]
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Reporting_DataSourceFilter WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2

)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

-- Verify rights on inserted record
IF (SELECT COUNT(*) FROM Inserted t_Reporting_DataSourceFilter WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2

)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [Reporting] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Reporting_DataSourceFilter', PrimKey, suser_sname(), 'U', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Reporting_DataSourceFilter', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[trd_Reporting_DataSourceFilterItem] on [dbo].[t_Reporting_DataSourceFilterItem]'
GO

ALTER TRIGGER [dbo].[trd_Reporting_DataSourceFilterItem] 
ON [dbo].[t_Reporting_DataSourceFilterItem]
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Reporting_DataSourceFilterItem WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 8 = 8

)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [Reporting] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Reporting_DataSourceFilterItem', PrimKey, suser_sname(), 'D', getdate()
        FROM deleted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Reporting_DataSourceFilterItem', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tri_Reporting_DataSourceFilterItem] on [dbo].[t_Reporting_DataSourceFilterItem]'
GO

ALTER TRIGGER [dbo].[tri_Reporting_DataSourceFilterItem] 
ON [dbo].[t_Reporting_DataSourceFilterItem]
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
IF (SELECT COUNT(*) FROM Inserted t_Reporting_DataSourceFilterItem WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 4 = 4

)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [Reporting] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Reporting_DataSourceFilterItem', PrimKey, suser_sname(), 'I', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Reporting_DataSourceFilterItem', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tru_Reporting_DataSourceFilterItem] on [dbo].[t_Reporting_DataSourceFilterItem]'
GO

ALTER TRIGGER [dbo].[tru_Reporting_DataSourceFilterItem] 
ON [dbo].[t_Reporting_DataSourceFilterItem]
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Reporting_DataSourceFilterItem WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2

)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

-- Verify rights on inserted record
IF (SELECT COUNT(*) FROM Inserted t_Reporting_DataSourceFilterItem WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2

)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [Reporting] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Reporting_DataSourceFilterItem', PrimKey, suser_sname(), 'U', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Reporting_DataSourceFilterItem', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[trd_Reporting_DataSourceItem] on [dbo].[t_Reporting_DataSourceItem]'
GO

ALTER TRIGGER [dbo].[trd_Reporting_DataSourceItem] 
ON [dbo].[t_Reporting_DataSourceItem]
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Reporting_DataSourceItem WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 8 = 8

)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [Reporting] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Reporting_DataSourceItem', PrimKey, suser_sname(), 'D', getdate()
        FROM deleted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Reporting_DataSourceItem', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tri_Reporting_DataSourceItem] on [dbo].[t_Reporting_DataSourceItem]'
GO

ALTER TRIGGER [dbo].[tri_Reporting_DataSourceItem] 
ON [dbo].[t_Reporting_DataSourceItem]
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
IF (SELECT COUNT(*) FROM Inserted t_Reporting_DataSourceItem WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 4 = 4

)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [Reporting] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Reporting_DataSourceItem', PrimKey, suser_sname(), 'I', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Reporting_DataSourceItem', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tru_Reporting_DataSourceItem] on [dbo].[t_Reporting_DataSourceItem]'
GO

ALTER TRIGGER [dbo].[tru_Reporting_DataSourceItem] 
ON [dbo].[t_Reporting_DataSourceItem]
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Reporting_DataSourceItem WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2

)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

-- Verify rights on inserted record
IF (SELECT COUNT(*) FROM Inserted t_Reporting_DataSourceItem WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2

)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [Reporting] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Reporting_DataSourceItem', PrimKey, suser_sname(), 'U', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Reporting_DataSourceItem', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[trd_Project_ProjectRevisionValue] on [dbo].[t_Project_ProjectRevisionValue]'
GO

ALTER TRIGGER [dbo].[trd_Project_ProjectRevisionValue] 
ON [dbo].[t_Project_ProjectRevisionValue]
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Project_ProjectRevisionValue WHERE (
EXISTS
(
    -- User has access to parent record
	SELECT * FROM t_Project_ProjectRevision with (nolock)
	WHERE [t_Project_ProjectRevisionValue].[ProjectRevisionRef] = [t_Project_ProjectRevision].[PrimKey]
    AND 
    (
        
EXISTS
(
    -- User has access to parent record
	SELECT * FROM t_Project_Project with (nolock)
	WHERE [t_Project_ProjectRevision].[ProjectRef] = [t_Project_Project].[PrimKey]
    AND 
    (
        IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Project')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2
)
    )
)
OR NOT EXISTS
(
    -- Or, parent record was already deleted
    SELECT * FROM t_Project_Project with (nolock)
    WHERE [t_Project_ProjectRevision].[ProjectRef] = [t_Project_Project].[PrimKey]
)

    )
)
OR NOT EXISTS
(
    -- Or, parent record was already deleted
    SELECT * FROM t_Project_ProjectRevision with (nolock)
    WHERE [t_Project_ProjectRevisionValue].[ProjectRevisionRef] = [t_Project_ProjectRevision].[PrimKey]
)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [Project] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Project_ProjectRevisionValue', PrimKey, suser_sname(), 'D', getdate()
        FROM deleted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Project_ProjectRevisionValue', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tri_Project_ProjectRevisionValue] on [dbo].[t_Project_ProjectRevisionValue]'
GO

ALTER TRIGGER [dbo].[tri_Project_ProjectRevisionValue] 
ON [dbo].[t_Project_ProjectRevisionValue]
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
IF (SELECT COUNT(*) FROM Inserted t_Project_ProjectRevisionValue WHERE (
EXISTS
(
    -- User has access to parent record
	SELECT * FROM t_Project_ProjectRevision with (nolock)
	WHERE [t_Project_ProjectRevisionValue].[ProjectRevisionRef] = [t_Project_ProjectRevision].[PrimKey]
    AND 
    (
        
EXISTS
(
    -- User has access to parent record
	SELECT * FROM t_Project_Project with (nolock)
	WHERE [t_Project_ProjectRevision].[ProjectRef] = [t_Project_Project].[PrimKey]
    AND 
    (
        IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Project')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2
)
    )
)
OR NOT EXISTS
(
    -- Or, parent record was already deleted
    SELECT * FROM t_Project_Project with (nolock)
    WHERE [t_Project_ProjectRevision].[ProjectRef] = [t_Project_Project].[PrimKey]
)

    )
)
OR NOT EXISTS
(
    -- Or, parent record was already deleted
    SELECT * FROM t_Project_ProjectRevision with (nolock)
    WHERE [t_Project_ProjectRevisionValue].[ProjectRevisionRef] = [t_Project_ProjectRevision].[PrimKey]
)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [Project] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Project_ProjectRevisionValue', PrimKey, suser_sname(), 'I', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Project_ProjectRevisionValue', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tru_Project_ProjectRevisionValue] on [dbo].[t_Project_ProjectRevisionValue]'
GO

ALTER TRIGGER [dbo].[tru_Project_ProjectRevisionValue] 
ON [dbo].[t_Project_ProjectRevisionValue]
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Project_ProjectRevisionValue WHERE (
EXISTS
(
    -- User has access to parent record
	SELECT * FROM t_Project_ProjectRevision with (nolock)
	WHERE [t_Project_ProjectRevisionValue].[ProjectRevisionRef] = [t_Project_ProjectRevision].[PrimKey]
    AND 
    (
        
EXISTS
(
    -- User has access to parent record
	SELECT * FROM t_Project_Project with (nolock)
	WHERE [t_Project_ProjectRevision].[ProjectRef] = [t_Project_Project].[PrimKey]
    AND 
    (
        IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Project')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2
)
    )
)
OR NOT EXISTS
(
    -- Or, parent record was already deleted
    SELECT * FROM t_Project_Project with (nolock)
    WHERE [t_Project_ProjectRevision].[ProjectRef] = [t_Project_Project].[PrimKey]
)

    )
)
OR NOT EXISTS
(
    -- Or, parent record was already deleted
    SELECT * FROM t_Project_ProjectRevision with (nolock)
    WHERE [t_Project_ProjectRevisionValue].[ProjectRevisionRef] = [t_Project_ProjectRevision].[PrimKey]
)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

-- Verify rights on inserted record
IF (SELECT COUNT(*) FROM Inserted t_Project_ProjectRevisionValue WHERE (
EXISTS
(
    -- User has access to parent record
	SELECT * FROM t_Project_ProjectRevision with (nolock)
	WHERE [t_Project_ProjectRevisionValue].[ProjectRevisionRef] = [t_Project_ProjectRevision].[PrimKey]
    AND 
    (
        
EXISTS
(
    -- User has access to parent record
	SELECT * FROM t_Project_Project with (nolock)
	WHERE [t_Project_ProjectRevision].[ProjectRef] = [t_Project_Project].[PrimKey]
    AND 
    (
        IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Project')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2
)
    )
)
OR NOT EXISTS
(
    -- Or, parent record was already deleted
    SELECT * FROM t_Project_Project with (nolock)
    WHERE [t_Project_ProjectRevision].[ProjectRef] = [t_Project_Project].[PrimKey]
)

    )
)
OR NOT EXISTS
(
    -- Or, parent record was already deleted
    SELECT * FROM t_Project_ProjectRevision with (nolock)
    WHERE [t_Project_ProjectRevisionValue].[ProjectRevisionRef] = [t_Project_ProjectRevision].[PrimKey]
)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [Project] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Project_ProjectRevisionValue', PrimKey, suser_sname(), 'U', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Project_ProjectRevisionValue', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[trd_Reporting_PeriodizerAvailability] on [dbo].[t_Reporting_PeriodizerAvailability]'
GO

ALTER TRIGGER [dbo].[trd_Reporting_PeriodizerAvailability] 
ON [dbo].[t_Reporting_PeriodizerAvailability]
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Reporting_PeriodizerAvailability WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 8 = 8

)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [Reporting] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Reporting_PeriodizerAvailability', PrimKey, suser_sname(), 'D', getdate()
        FROM deleted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Reporting_PeriodizerAvailability', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tri_Reporting_PeriodizerAvailability] on [dbo].[t_Reporting_PeriodizerAvailability]'
GO

ALTER TRIGGER [dbo].[tri_Reporting_PeriodizerAvailability] 
ON [dbo].[t_Reporting_PeriodizerAvailability]
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
IF (SELECT COUNT(*) FROM Inserted t_Reporting_PeriodizerAvailability WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 4 = 4

)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [Reporting] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Reporting_PeriodizerAvailability', PrimKey, suser_sname(), 'I', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Reporting_PeriodizerAvailability', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tru_Reporting_PeriodizerAvailability] on [dbo].[t_Reporting_PeriodizerAvailability]'
GO

ALTER TRIGGER [dbo].[tru_Reporting_PeriodizerAvailability] 
ON [dbo].[t_Reporting_PeriodizerAvailability]
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Reporting_PeriodizerAvailability WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2

)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

-- Verify rights on inserted record
IF (SELECT COUNT(*) FROM Inserted t_Reporting_PeriodizerAvailability WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2

)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [Reporting] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Reporting_PeriodizerAvailability', PrimKey, suser_sname(), 'U', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Reporting_PeriodizerAvailability', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[trd_Reporting_Dashboard] on [dbo].[t_Reporting_Dashboard]'
GO

ALTER TRIGGER [dbo].[trd_Reporting_Dashboard] 
ON [dbo].[t_Reporting_Dashboard]
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Reporting_Dashboard WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 8 = 8

)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [Reporting] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Reporting_Dashboard', PrimKey, suser_sname(), 'D', getdate()
        FROM deleted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Reporting_Dashboard', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tri_Reporting_Dashboard] on [dbo].[t_Reporting_Dashboard]'
GO

ALTER TRIGGER [dbo].[tri_Reporting_Dashboard] 
ON [dbo].[t_Reporting_Dashboard]
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
IF (SELECT COUNT(*) FROM Inserted t_Reporting_Dashboard WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 4 = 4

)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [Reporting] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Reporting_Dashboard', PrimKey, suser_sname(), 'I', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Reporting_Dashboard', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tru_Reporting_Dashboard] on [dbo].[t_Reporting_Dashboard]'
GO

ALTER TRIGGER [dbo].[tru_Reporting_Dashboard] 
ON [dbo].[t_Reporting_Dashboard]
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Reporting_Dashboard WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2

)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

-- Verify rights on inserted record
IF (SELECT COUNT(*) FROM Inserted t_Reporting_Dashboard WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2

)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [Reporting] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Reporting_Dashboard', PrimKey, suser_sname(), 'U', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Reporting_Dashboard', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[trd_Reporting_DataSourceItemColumn] on [dbo].[t_Reporting_DataSourceItemColumn]'
GO

ALTER TRIGGER [dbo].[trd_Reporting_DataSourceItemColumn] 
ON [dbo].[t_Reporting_DataSourceItemColumn]
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Reporting_DataSourceItemColumn WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 8 = 8

)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [Reporting] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Reporting_DataSourceItemColumn', PrimKey, suser_sname(), 'D', getdate()
        FROM deleted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Reporting_DataSourceItemColumn', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tri_Reporting_DataSourceItemColumn] on [dbo].[t_Reporting_DataSourceItemColumn]'
GO

ALTER TRIGGER [dbo].[tri_Reporting_DataSourceItemColumn] 
ON [dbo].[t_Reporting_DataSourceItemColumn]
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
IF (SELECT COUNT(*) FROM Inserted t_Reporting_DataSourceItemColumn WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 4 = 4

)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [Reporting] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Reporting_DataSourceItemColumn', PrimKey, suser_sname(), 'I', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Reporting_DataSourceItemColumn', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tru_Reporting_DataSourceItemColumn] on [dbo].[t_Reporting_DataSourceItemColumn]'
GO

ALTER TRIGGER [dbo].[tru_Reporting_DataSourceItemColumn] 
ON [dbo].[t_Reporting_DataSourceItemColumn]
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Reporting_DataSourceItemColumn WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2

)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

-- Verify rights on inserted record
IF (SELECT COUNT(*) FROM Inserted t_Reporting_DataSourceItemColumn WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2

)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [Reporting] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Reporting_DataSourceItemColumn', PrimKey, suser_sname(), 'U', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Reporting_DataSourceItemColumn', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[trd_Reporting_PeriodizerAvailabilityException] on [dbo].[t_Reporting_PeriodizerAvailabilityException]'
GO

ALTER TRIGGER [dbo].[trd_Reporting_PeriodizerAvailabilityException] 
ON [dbo].[t_Reporting_PeriodizerAvailabilityException]
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Reporting_PeriodizerAvailabilityException WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 8 = 8

)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [Reporting] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Reporting_PeriodizerAvailabilityException', PrimKey, suser_sname(), 'D', getdate()
        FROM deleted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Reporting_PeriodizerAvailabilityException', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tri_Reporting_PeriodizerAvailabilityException] on [dbo].[t_Reporting_PeriodizerAvailabilityException]'
GO

ALTER TRIGGER [dbo].[tri_Reporting_PeriodizerAvailabilityException] 
ON [dbo].[t_Reporting_PeriodizerAvailabilityException]
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
IF (SELECT COUNT(*) FROM Inserted t_Reporting_PeriodizerAvailabilityException WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 4 = 4

)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [Reporting] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Reporting_PeriodizerAvailabilityException', PrimKey, suser_sname(), 'I', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Reporting_PeriodizerAvailabilityException', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tru_Reporting_PeriodizerAvailabilityException] on [dbo].[t_Reporting_PeriodizerAvailabilityException]'
GO

ALTER TRIGGER [dbo].[tru_Reporting_PeriodizerAvailabilityException] 
ON [dbo].[t_Reporting_PeriodizerAvailabilityException]
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Reporting_PeriodizerAvailabilityException WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2

)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

-- Verify rights on inserted record
IF (SELECT COUNT(*) FROM Inserted t_Reporting_PeriodizerAvailabilityException WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2

)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [Reporting] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Reporting_PeriodizerAvailabilityException', PrimKey, suser_sname(), 'U', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Reporting_PeriodizerAvailabilityException', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[trd_Reporting_PeriodizerGroupColumn] on [dbo].[t_Reporting_PeriodizerGroupColumn]'
GO

ALTER TRIGGER [dbo].[trd_Reporting_PeriodizerGroupColumn] 
ON [dbo].[t_Reporting_PeriodizerGroupColumn]
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Reporting_PeriodizerGroupColumn WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 8 = 8

)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [Reporting] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Reporting_PeriodizerGroupColumn', PrimKey, suser_sname(), 'D', getdate()
        FROM deleted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Reporting_PeriodizerGroupColumn', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tri_Reporting_PeriodizerGroupColumn] on [dbo].[t_Reporting_PeriodizerGroupColumn]'
GO

ALTER TRIGGER [dbo].[tri_Reporting_PeriodizerGroupColumn] 
ON [dbo].[t_Reporting_PeriodizerGroupColumn]
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
IF (SELECT COUNT(*) FROM Inserted t_Reporting_PeriodizerGroupColumn WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 4 = 4

)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [Reporting] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Reporting_PeriodizerGroupColumn', PrimKey, suser_sname(), 'I', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Reporting_PeriodizerGroupColumn', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tru_Reporting_PeriodizerGroupColumn] on [dbo].[t_Reporting_PeriodizerGroupColumn]'
GO

ALTER TRIGGER [dbo].[tru_Reporting_PeriodizerGroupColumn] 
ON [dbo].[t_Reporting_PeriodizerGroupColumn]
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Reporting_PeriodizerGroupColumn WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2

)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

-- Verify rights on inserted record
IF (SELECT COUNT(*) FROM Inserted t_Reporting_PeriodizerGroupColumn WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2

)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [Reporting] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Reporting_PeriodizerGroupColumn', PrimKey, suser_sname(), 'U', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Reporting_PeriodizerGroupColumn', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[trd_Reporting_PeriodizerLoad] on [dbo].[t_Reporting_PeriodizerLoad]'
GO

ALTER TRIGGER [dbo].[trd_Reporting_PeriodizerLoad] 
ON [dbo].[t_Reporting_PeriodizerLoad]
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Reporting_PeriodizerLoad WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 8 = 8

)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [Reporting] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Reporting_PeriodizerLoad', PrimKey, suser_sname(), 'D', getdate()
        FROM deleted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Reporting_PeriodizerLoad', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tri_Reporting_PeriodizerLoad] on [dbo].[t_Reporting_PeriodizerLoad]'
GO

ALTER TRIGGER [dbo].[tri_Reporting_PeriodizerLoad] 
ON [dbo].[t_Reporting_PeriodizerLoad]
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
IF (SELECT COUNT(*) FROM Inserted t_Reporting_PeriodizerLoad WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 4 = 4

)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [Reporting] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Reporting_PeriodizerLoad', PrimKey, suser_sname(), 'I', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Reporting_PeriodizerLoad', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tru_Reporting_PeriodizerLoad] on [dbo].[t_Reporting_PeriodizerLoad]'
GO

ALTER TRIGGER [dbo].[tru_Reporting_PeriodizerLoad] 
ON [dbo].[t_Reporting_PeriodizerLoad]
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Reporting_PeriodizerLoad WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2

)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

-- Verify rights on inserted record
IF (SELECT COUNT(*) FROM Inserted t_Reporting_PeriodizerLoad WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2

)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [Reporting] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Reporting_PeriodizerLoad', PrimKey, suser_sname(), 'U', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Reporting_PeriodizerLoad', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[trd_Reporting_PeriodizerItem] on [dbo].[t_Reporting_PeriodizerItem]'
GO

ALTER TRIGGER [dbo].[trd_Reporting_PeriodizerItem] 
ON [dbo].[t_Reporting_PeriodizerItem]
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Reporting_PeriodizerItem WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 8 = 8

)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [Reporting] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Reporting_PeriodizerItem', PrimKey, suser_sname(), 'D', getdate()
        FROM deleted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Reporting_PeriodizerItem', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tri_Reporting_PeriodizerItem] on [dbo].[t_Reporting_PeriodizerItem]'
GO

ALTER TRIGGER [dbo].[tri_Reporting_PeriodizerItem] 
ON [dbo].[t_Reporting_PeriodizerItem]
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
IF (SELECT COUNT(*) FROM Inserted t_Reporting_PeriodizerItem WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 4 = 4

)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [Reporting] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Reporting_PeriodizerItem', PrimKey, suser_sname(), 'I', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Reporting_PeriodizerItem', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tru_Reporting_PeriodizerItem] on [dbo].[t_Reporting_PeriodizerItem]'
GO

ALTER TRIGGER [dbo].[tru_Reporting_PeriodizerItem] 
ON [dbo].[t_Reporting_PeriodizerItem]
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Reporting_PeriodizerItem WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2

)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

-- Verify rights on inserted record
IF (SELECT COUNT(*) FROM Inserted t_Reporting_PeriodizerItem WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2

)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [Reporting] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Reporting_PeriodizerItem', PrimKey, suser_sname(), 'U', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Reporting_PeriodizerItem', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[trd_Reporting_Report] on [dbo].[t_Reporting_Report]'
GO

ALTER TRIGGER [dbo].[trd_Reporting_Report] 
ON [dbo].[t_Reporting_Report]
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Reporting_Report WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 8 = 8

)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [Reporting] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Reporting_Report', PrimKey, suser_sname(), 'D', getdate()
        FROM deleted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Reporting_Report', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tri_Reporting_Report] on [dbo].[t_Reporting_Report]'
GO

ALTER TRIGGER [dbo].[tri_Reporting_Report] 
ON [dbo].[t_Reporting_Report]
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
IF (SELECT COUNT(*) FROM Inserted t_Reporting_Report WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 4 = 4

)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [Reporting] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Reporting_Report', PrimKey, suser_sname(), 'I', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Reporting_Report', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tru_Reporting_Report] on [dbo].[t_Reporting_Report]'
GO

ALTER TRIGGER [dbo].[tru_Reporting_Report] 
ON [dbo].[t_Reporting_Report]
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Reporting_Report WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2

)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

-- Verify rights on inserted record
IF (SELECT COUNT(*) FROM Inserted t_Reporting_Report WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2

)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [Reporting] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Reporting_Report', PrimKey, suser_sname(), 'U', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Reporting_Report', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[trd_Security_ProjectRights] on [dbo].[t_Security_ProjectRights]'
GO

ALTER TRIGGER [dbo].[trd_Security_ProjectRights] 
ON [dbo].[t_Security_ProjectRights]
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Security_ProjectRights WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Security')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 8 = 8

)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [Security] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Security_ProjectRights', PrimKey, suser_sname(), 'D', getdate()
        FROM deleted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Security_ProjectRights', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tri_Security_ProjectRights] on [dbo].[t_Security_ProjectRights]'
GO

ALTER TRIGGER [dbo].[tri_Security_ProjectRights] 
ON [dbo].[t_Security_ProjectRights]
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
IF (SELECT COUNT(*) FROM Inserted t_Security_ProjectRights WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Security')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 4 = 4

)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [Security] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Security_ProjectRights', PrimKey, suser_sname(), 'I', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Security_ProjectRights', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tru_Security_ProjectRights] on [dbo].[t_Security_ProjectRights]'
GO

ALTER TRIGGER [dbo].[tru_Security_ProjectRights] 
ON [dbo].[t_Security_ProjectRights]
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Security_ProjectRights WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Security')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2

)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

-- Verify rights on inserted record
IF (SELECT COUNT(*) FROM Inserted t_Security_ProjectRights WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Security')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2

)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [Security] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Security_ProjectRights', PrimKey, suser_sname(), 'U', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Security_ProjectRights', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[trd_Reporting_DataSource] on [dbo].[t_Reporting_DataSource]'
GO

ALTER TRIGGER [dbo].[trd_Reporting_DataSource] 
ON [dbo].[t_Reporting_DataSource]
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Reporting_DataSource WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 8 = 8

)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [Reporting] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Reporting_DataSource', PrimKey, suser_sname(), 'D', getdate()
        FROM deleted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Reporting_DataSource', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tri_Reporting_DataSource] on [dbo].[t_Reporting_DataSource]'
GO

ALTER TRIGGER [dbo].[tri_Reporting_DataSource] 
ON [dbo].[t_Reporting_DataSource]
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
IF (SELECT COUNT(*) FROM Inserted t_Reporting_DataSource WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 4 = 4

)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [Reporting] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Reporting_DataSource', PrimKey, suser_sname(), 'I', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Reporting_DataSource', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tru_Reporting_DataSource] on [dbo].[t_Reporting_DataSource]'
GO

ALTER TRIGGER [dbo].[tru_Reporting_DataSource] 
ON [dbo].[t_Reporting_DataSource]
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Reporting_DataSource WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2

)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

-- Verify rights on inserted record
IF (SELECT COUNT(*) FROM Inserted t_Reporting_DataSource WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Reporting')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2

)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [Reporting] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Reporting_DataSource', PrimKey, suser_sname(), 'U', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Reporting_DataSource', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[trd_Security_ApplicationRights] on [dbo].[t_Security_ApplicationRights]'
GO

ALTER TRIGGER [dbo].[trd_Security_ApplicationRights] 
ON [dbo].[t_Security_ApplicationRights]
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Security_ApplicationRights WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Security')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 8 = 8

)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [Security] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Security_ApplicationRights', PrimKey, suser_sname(), 'D', getdate()
        FROM deleted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Security_ApplicationRights', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tri_Security_ApplicationRights] on [dbo].[t_Security_ApplicationRights]'
GO

ALTER TRIGGER [dbo].[tri_Security_ApplicationRights] 
ON [dbo].[t_Security_ApplicationRights]
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
IF (SELECT COUNT(*) FROM Inserted t_Security_ApplicationRights WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Security')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 4 = 4

)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [Security] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Security_ApplicationRights', PrimKey, suser_sname(), 'I', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Security_ApplicationRights', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tru_Security_ApplicationRights] on [dbo].[t_Security_ApplicationRights]'
GO

ALTER TRIGGER [dbo].[tru_Security_ApplicationRights] 
ON [dbo].[t_Security_ApplicationRights]
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Security_ApplicationRights WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Security')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2

)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

-- Verify rights on inserted record
IF (SELECT COUNT(*) FROM Inserted t_Security_ApplicationRights WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Security')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2

)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [Security] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Security_ApplicationRights', PrimKey, suser_sname(), 'U', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Security_ApplicationRights', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[trd_Security_DataAccess] on [dbo].[t_Security_DataAccess]'
GO

ALTER TRIGGER [dbo].[trd_Security_DataAccess] 
ON [dbo].[t_Security_DataAccess]
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Security_DataAccess WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Security')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 8 = 8

)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [Security] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Security_DataAccess', PrimKey, suser_sname(), 'D', getdate()
        FROM deleted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Security_DataAccess', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tri_Security_DataAccess] on [dbo].[t_Security_DataAccess]'
GO

ALTER TRIGGER [dbo].[tri_Security_DataAccess] 
ON [dbo].[t_Security_DataAccess]
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
IF (SELECT COUNT(*) FROM Inserted t_Security_DataAccess WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Security')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 4 = 4

)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [Security] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Security_DataAccess', PrimKey, suser_sname(), 'I', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Security_DataAccess', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tru_Security_DataAccess] on [dbo].[t_Security_DataAccess]'
GO

ALTER TRIGGER [dbo].[tru_Security_DataAccess] 
ON [dbo].[t_Security_DataAccess]
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Security_DataAccess WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Security')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2

)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

-- Verify rights on inserted record
IF (SELECT COUNT(*) FROM Inserted t_Security_DataAccess WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Security')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2

)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [Security] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Security_DataAccess', PrimKey, suser_sname(), 'U', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Security_DataAccess', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[trd_Staging_ExpMhrs] on [dbo].[t_Staging_ExpMhrs]'
GO

ALTER TRIGGER [dbo].[trd_Staging_ExpMhrs] 
ON [dbo].[t_Staging_ExpMhrs]
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_ExpMhrs', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tri_Staging_ExpMhrs] on [dbo].[t_Staging_ExpMhrs]'
GO

ALTER TRIGGER [dbo].[tri_Staging_ExpMhrs] 
ON [dbo].[t_Staging_ExpMhrs]
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_ExpMhrs', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tru_Staging_ExpMhrs] on [dbo].[t_Staging_ExpMhrs]'
GO

ALTER TRIGGER [dbo].[tru_Staging_ExpMhrs] 
ON [dbo].[t_Staging_ExpMhrs]
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_ExpMhrs', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[trd_Staging_Node] on [dbo].[t_Staging_Node]'
GO

ALTER TRIGGER [dbo].[trd_Staging_Node] 
ON [dbo].[t_Staging_Node]
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_Node', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tri_Staging_Node] on [dbo].[t_Staging_Node]'
GO

ALTER TRIGGER [dbo].[tri_Staging_Node] 
ON [dbo].[t_Staging_Node]
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_Node', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tru_Staging_Node] on [dbo].[t_Staging_Node]'
GO

ALTER TRIGGER [dbo].[tru_Staging_Node] 
ON [dbo].[t_Staging_Node]
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_Node', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[trd_Staging_Calendar] on [dbo].[t_Staging_Calendar]'
GO

ALTER TRIGGER [dbo].[trd_Staging_Calendar] 
ON [dbo].[t_Staging_Calendar]
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_Calendar', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tri_Staging_Calendar] on [dbo].[t_Staging_Calendar]'
GO

ALTER TRIGGER [dbo].[tri_Staging_Calendar] 
ON [dbo].[t_Staging_Calendar]
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_Calendar', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tru_Staging_Calendar] on [dbo].[t_Staging_Calendar]'
GO

ALTER TRIGGER [dbo].[tru_Staging_Calendar] 
ON [dbo].[t_Staging_Calendar]
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_Calendar', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[trd_Staging_CalendarPattern] on [dbo].[t_Staging_CalendarPattern]'
GO

ALTER TRIGGER [dbo].[trd_Staging_CalendarPattern] 
ON [dbo].[t_Staging_CalendarPattern]
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_CalendarPattern', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tri_Staging_CalendarPattern] on [dbo].[t_Staging_CalendarPattern]'
GO

ALTER TRIGGER [dbo].[tri_Staging_CalendarPattern] 
ON [dbo].[t_Staging_CalendarPattern]
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_CalendarPattern', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tru_Staging_CalendarPattern] on [dbo].[t_Staging_CalendarPattern]'
GO

ALTER TRIGGER [dbo].[tru_Staging_CalendarPattern] 
ON [dbo].[t_Staging_CalendarPattern]
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_CalendarPattern', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[trd_Staging_OrganizationUnit] on [dbo].[t_Staging_OrganizationUnit]'
GO

ALTER TRIGGER [dbo].[trd_Staging_OrganizationUnit] 
ON [dbo].[t_Staging_OrganizationUnit]
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_OrganizationUnit', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tri_Staging_OrganizationUnit] on [dbo].[t_Staging_OrganizationUnit]'
GO

ALTER TRIGGER [dbo].[tri_Staging_OrganizationUnit] 
ON [dbo].[t_Staging_OrganizationUnit]
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_OrganizationUnit', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tru_Staging_OrganizationUnit] on [dbo].[t_Staging_OrganizationUnit]'
GO

ALTER TRIGGER [dbo].[tru_Staging_OrganizationUnit] 
ON [dbo].[t_Staging_OrganizationUnit]
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_OrganizationUnit', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[trd_Staging_Person] on [dbo].[t_Staging_Person]'
GO

ALTER TRIGGER [dbo].[trd_Staging_Person] 
ON [dbo].[t_Staging_Person]
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_Person', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tri_Staging_Person] on [dbo].[t_Staging_Person]'
GO

ALTER TRIGGER [dbo].[tri_Staging_Person] 
ON [dbo].[t_Staging_Person]
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_Person', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tru_Staging_Person] on [dbo].[t_Staging_Person]'
GO

ALTER TRIGGER [dbo].[tru_Staging_Person] 
ON [dbo].[t_Staging_Person]
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_Person', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[trd_Staging_CalendarRestriction] on [dbo].[t_Staging_CalendarRestriction]'
GO

ALTER TRIGGER [dbo].[trd_Staging_CalendarRestriction] 
ON [dbo].[t_Staging_CalendarRestriction]
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_CalendarRestriction', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tri_Staging_CalendarRestriction] on [dbo].[t_Staging_CalendarRestriction]'
GO

ALTER TRIGGER [dbo].[tri_Staging_CalendarRestriction] 
ON [dbo].[t_Staging_CalendarRestriction]
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_CalendarRestriction', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tru_Staging_CalendarRestriction] on [dbo].[t_Staging_CalendarRestriction]'
GO

ALTER TRIGGER [dbo].[tru_Staging_CalendarRestriction] 
ON [dbo].[t_Staging_CalendarRestriction]
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_CalendarRestriction', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[trd_Staging_OrganizationUnitPositionType] on [dbo].[t_Staging_OrganizationUnitPositionType]'
GO

ALTER TRIGGER [dbo].[trd_Staging_OrganizationUnitPositionType] 
ON [dbo].[t_Staging_OrganizationUnitPositionType]
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_OrganizationUnitPositionType', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tri_Staging_OrganizationUnitPositionType] on [dbo].[t_Staging_OrganizationUnitPositionType]'
GO

ALTER TRIGGER [dbo].[tri_Staging_OrganizationUnitPositionType] 
ON [dbo].[t_Staging_OrganizationUnitPositionType]
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_OrganizationUnitPositionType', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tru_Staging_OrganizationUnitPositionType] on [dbo].[t_Staging_OrganizationUnitPositionType]'
GO

ALTER TRIGGER [dbo].[tru_Staging_OrganizationUnitPositionType] 
ON [dbo].[t_Staging_OrganizationUnitPositionType]
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_OrganizationUnitPositionType', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[trd_Staging_PositionLoad] on [dbo].[t_Staging_PositionLoad]'
GO

ALTER TRIGGER [dbo].[trd_Staging_PositionLoad] 
ON [dbo].[t_Staging_PositionLoad]
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_PositionLoad', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tri_Staging_PositionLoad] on [dbo].[t_Staging_PositionLoad]'
GO

ALTER TRIGGER [dbo].[tri_Staging_PositionLoad] 
ON [dbo].[t_Staging_PositionLoad]
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_PositionLoad', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tru_Staging_PositionLoad] on [dbo].[t_Staging_PositionLoad]'
GO

ALTER TRIGGER [dbo].[tru_Staging_PositionLoad] 
ON [dbo].[t_Staging_PositionLoad]
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_PositionLoad', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[trd_Security_OrganizationUnitRights] on [dbo].[t_Security_OrganizationUnitRights]'
GO

ALTER TRIGGER [dbo].[trd_Security_OrganizationUnitRights] 
ON [dbo].[t_Security_OrganizationUnitRights]
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Security_OrganizationUnitRights WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Security')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 8 = 8

)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [Security] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Security_OrganizationUnitRights', PrimKey, suser_sname(), 'D', getdate()
        FROM deleted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Security_OrganizationUnitRights', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tri_Security_OrganizationUnitRights] on [dbo].[t_Security_OrganizationUnitRights]'
GO

ALTER TRIGGER [dbo].[tri_Security_OrganizationUnitRights] 
ON [dbo].[t_Security_OrganizationUnitRights]
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
IF (SELECT COUNT(*) FROM Inserted t_Security_OrganizationUnitRights WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Security')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 4 = 4

)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [Security] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Security_OrganizationUnitRights', PrimKey, suser_sname(), 'I', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Security_OrganizationUnitRights', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tru_Security_OrganizationUnitRights] on [dbo].[t_Security_OrganizationUnitRights]'
GO

ALTER TRIGGER [dbo].[tru_Security_OrganizationUnitRights] 
ON [dbo].[t_Security_OrganizationUnitRights]
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
-- Verify rights on deleted record
IF (SELECT COUNT(*) FROM Deleted t_Security_OrganizationUnitRights WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Security')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2

)
)) < (SELECT COUNT(*) FROM Deleted)
    GOTO TriggerError

-- Verify rights on inserted record
IF (SELECT COUNT(*) FROM Inserted t_Security_OrganizationUnitRights WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Security')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 2 = 2

)
)) < (SELECT COUNT(*) FROM Inserted)
    GOTO TriggerError

/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [Security] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:

    IF NOT OBJECT_ID('v_Security_DataLog') IS NULL
    BEGIN
        INSERT INTO v_Security_DataLog([Table], [Reference], [User], [Operation], [Time])
        SELECT 't_Security_OrganizationUnitRights', PrimKey, suser_sname(), 'U', getdate()
        FROM inserted
    END


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Security_OrganizationUnitRights', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[trd_Staging_PersonAvailability] on [dbo].[t_Staging_PersonAvailability]'
GO

ALTER TRIGGER [dbo].[trd_Staging_PersonAvailability] 
ON [dbo].[t_Staging_PersonAvailability]
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_PersonAvailability', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tri_Staging_PersonAvailability] on [dbo].[t_Staging_PersonAvailability]'
GO

ALTER TRIGGER [dbo].[tri_Staging_PersonAvailability] 
ON [dbo].[t_Staging_PersonAvailability]
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_PersonAvailability', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tru_Staging_PersonAvailability] on [dbo].[t_Staging_PersonAvailability]'
GO

ALTER TRIGGER [dbo].[tru_Staging_PersonAvailability] 
ON [dbo].[t_Staging_PersonAvailability]
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_PersonAvailability', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[trd_Staging_PersonAvailabilityException] on [dbo].[t_Staging_PersonAvailabilityException]'
GO

ALTER TRIGGER [dbo].[trd_Staging_PersonAvailabilityException] 
ON [dbo].[t_Staging_PersonAvailabilityException]
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_PersonAvailabilityException', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tri_Staging_PersonAvailabilityException] on [dbo].[t_Staging_PersonAvailabilityException]'
GO

ALTER TRIGGER [dbo].[tri_Staging_PersonAvailabilityException] 
ON [dbo].[t_Staging_PersonAvailabilityException]
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_PersonAvailabilityException', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tru_Staging_PersonAvailabilityException] on [dbo].[t_Staging_PersonAvailabilityException]'
GO

ALTER TRIGGER [dbo].[tru_Staging_PersonAvailabilityException] 
ON [dbo].[t_Staging_PersonAvailabilityException]
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_PersonAvailabilityException', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[trd_Staging_PositionType] on [dbo].[t_Staging_PositionType]'
GO

ALTER TRIGGER [dbo].[trd_Staging_PositionType] 
ON [dbo].[t_Staging_PositionType]
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_PositionType', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tri_Staging_PositionType] on [dbo].[t_Staging_PositionType]'
GO

ALTER TRIGGER [dbo].[tri_Staging_PositionType] 
ON [dbo].[t_Staging_PositionType]
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_PositionType', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tru_Staging_PositionType] on [dbo].[t_Staging_PositionType]'
GO

ALTER TRIGGER [dbo].[tru_Staging_PositionType] 
ON [dbo].[t_Staging_PositionType]
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_PositionType', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[trd_Staging_Position] on [dbo].[t_Staging_Position]'
GO

ALTER TRIGGER [dbo].[trd_Staging_Position] 
ON [dbo].[t_Staging_Position]
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_Position', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tri_Staging_Position] on [dbo].[t_Staging_Position]'
GO

ALTER TRIGGER [dbo].[tri_Staging_Position] 
ON [dbo].[t_Staging_Position]
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_Position', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tru_Staging_Position] on [dbo].[t_Staging_Position]'
GO

ALTER TRIGGER [dbo].[tru_Staging_Position] 
ON [dbo].[t_Staging_Position]
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_Position', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[trd_Staging_Project] on [dbo].[t_Staging_Project]'
GO

ALTER TRIGGER [dbo].[trd_Staging_Project] 
ON [dbo].[t_Staging_Project]
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_Project', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tri_Staging_Project] on [dbo].[t_Staging_Project]'
GO

ALTER TRIGGER [dbo].[tri_Staging_Project] 
ON [dbo].[t_Staging_Project]
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_Project', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tru_Staging_Project] on [dbo].[t_Staging_Project]'
GO

ALTER TRIGGER [dbo].[tru_Staging_Project] 
ON [dbo].[t_Staging_Project]
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_Project', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[trd_Staging_Structure] on [dbo].[t_Staging_Structure]'
GO

ALTER TRIGGER [dbo].[trd_Staging_Structure] 
ON [dbo].[t_Staging_Structure]
AFTER DELETE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to DELETE data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_Structure', 'DELETE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tri_Staging_Structure] on [dbo].[t_Staging_Structure]'
GO

ALTER TRIGGER [dbo].[tri_Staging_Structure] 
ON [dbo].[t_Staging_Structure]
AFTER INSERT
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to INSERT data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_Structure', 'INSERT', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
PRINT N'Altering trigger [dbo].[tru_Staging_Structure] on [dbo].[t_Staging_Structure]'
GO

ALTER TRIGGER [dbo].[tru_Staging_Structure] 
ON [dbo].[t_Staging_Structure]
AFTER UPDATE
AS

-- Prevent client from seing number of records affected
SET NOCOUNT ON

/* <PermissionCheck> */
    
/* </PermissionCheck> */

/* <CustomSection> */

/* </CustomSection> */

    GOTO TriggerContinue

TriggerError:
    -- Log error
    DECLARE @UserName AS NVARCHAR(128)
    SET @UserName = suser_sname()

    DECLARE @ErrorMessage AS NVARCHAR(512)
    SET @ErrorMessage = N'No permissions to UPDATE data [] for user [' + @UserName + ']'

    raiserror (@ErrorMessage, 14, 23)
    GOTO TriggerRollback

TriggerRollback:
    ROLLBACK TRANSACTION
    GOTO TriggerEnd

TriggerContinue:


TriggerEnd:

    IF NOT @ErrorMessage IS NULL
    BEGIN
        IF NOT OBJECT_ID('v_Security_ErrorLog') IS NULL
        BEGIN
            INSERT INTO v_Security_ErrorLog(Message, Object, Operation, Login)
            SELECT @ErrorMessage, 't_Staging_Structure', 'UPDATE', @UserName
        END
    END

   
    RETURN
GO
IF @@ERROR<>0 AND @@TRANCOUNT>0 ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT=0 BEGIN INSERT INTO #tmpErrors (Error) SELECT 1 BEGIN TRANSACTION END
GO
IF EXISTS (SELECT * FROM #tmpErrors) ROLLBACK TRANSACTION
GO
IF @@TRANCOUNT>0 BEGIN
PRINT 'The database update succeeded'
COMMIT TRANSACTION
END
ELSE PRINT 'The database update failed'
GO
DROP TABLE #tmpErrors

